Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1017 (closed defect: fixed)

Opened 13 years ago

Last modified 11 years ago

"rx FIFO overrun" prevents traffic from flowing

Reported by: bugreports@nn7.de Assigned to:
Priority: critical Milestone: version 0.9.5
Component: madwifi: driver Version: trunk
Keywords: Cc:
Patch is attached: 0 Pending:

Description

I am using madwifi (svn r1796) with ath_pci: 0.9.4.5 (svn r1796) on a macbook pro. after a fresh reboot creating a wlan0 sta device makes wlan/WEP connection to a linksys 54GL flawlessly working for about 6-8hours (tested by continuosly pinging the the AP). Then suddenly nothing seems to work anymore, i.e. the card does not receive any packets. It does not even help to unload the drivers / modprobe ath_pci again, though iwlist scan is still returning results and it 'connects' to the AP (iwconfig essid / key work). No output nowhere...

Any ideas ? If you need more info's just say so. Happens on older versions (e.g. the ones in debian too)

dmesg output

wlan: 0.8.4.2 (svn r1796)
ath_rate_sample: 1.2 (svn r1796)
ath_pci: 0.9.4.5 (svn r1796)
ACPI: PCI Interrupt 0000:03:00.0[A] -> GSI 17 (level, low) -> IRQ 17
PCI: Setting latency timer of device 0000:03:00.0 to 64
wifi0: 11a rates: 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: 11b rates: 1Mbps 2Mbps 5.5Mbps 11Mbps
wifi0: 11g rates: 1Mbps 2Mbps 5.5Mbps 11Mbps 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: turboG rates: 6Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: H/W encryption support: WEP AES AES_CCM TKIP
wifi0: mac 10.3 phy 6.1 radio 10.2
wifi0: Use hw queue 1 for WME_AC_BE traffic
wifi0: Use hw queue 0 for WME_AC_BK traffic
wifi0: Use hw queue 2 for WME_AC_VI traffic
wifi0: Use hw queue 3 for WME_AC_VO traffic
wifi0: Use hw queue 8 for CAB traffic
wifi0: Use hw queue 9 for beacons
Linux video capture interface: v2.00
wifi0: Atheros 5424/2424: mem=0x98100000, irq=17

Attachments

ar5418_dmasize.diff (3.2 kB) - added by mentor on 05/10/08 04:38:00.
Patch to test the effect of stomping on the HW DMA size settings.

Change History

04/17/07 22:09:33 changed by anonymous

This is happening to me too with the new 0.9.3 driver. It didn't happen with 0.9.2.1 but that won't compile for kernel 2.6.20 which I needed when I got a new motherboard.

05/26/07 13:36:18 changed by hotfigs@gmail.com

I have the same problem with a macbook (non-pro) C2D. This is with the madwifi-hal-0.9.30.10 branch. I can't check earlier versions as this branch is the only one with works. I'm using Ubuntu 7.04 with a 2.6.20.3 kernel. I'd be happy to submit any debug / log messages if someone will tell me where to look :)

05/27/07 00:43:39 changed by hotfigs@gmail.com

dmesg repeatedly gives this output when the card stops working:

wifi0: rx FIFO overrun; resetting

Also, using modprobe -r works for ath_pci, but when I try it with ath_hal, it says the device is busy. Is there a way to force it to be removed or possibly stop whatever the activity it is?

06/01/07 07:52:21 changed by andewid@tnonline.net

Same here for me "wifi0: rx FIFO overrun; resetting" which is looping and looping in the dmesg output....

Also, no 300mbps showing?

dmesg:

ath_hal: 0.9.30.13 (AR5210, AR5211, AR5212, AR5416, RF5111, RF5112, RF2413, RF5413, RF2133)
wlan: 0.8.4.2 (svn r2351)
ath_pci: 0.9.4.5 (svn r2351)
ACPI: PCI Interrupt 0000:00:07.0[A] -> GSI 18 (level, low) -> IRQ 19
ath_rate_sample: 1.2 (svn r2351)
wifi0: 11b rates: 1Mbps 2Mbps 5.5Mbps 11Mbps
wifi0: 11g rates: 1Mbps 2Mbps 5.5Mbps 11Mbps 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: turboG rates: 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: H/W encryption support: WEP AES AES_CCM TKIP
wifi0: mac 13.10 phy 8.1 radio 13.0
wifi0: Use hw queue 1 for WME_AC_BE traffic
wifi0: Use hw queue 0 for WME_AC_BK traffic
wifi0: Use hw queue 2 for WME_AC_VI traffic
wifi0: Use hw queue 3 for WME_AC_VO traffic
wifi0: Use hw queue 8 for CAB traffic
wifi0: Use hw queue 9 for beacons
wifi0: Atheros 5416: mem=0xd7000000, irq=19
ath0: no IPv6 routers present
wifi0: rx FIFO overrun; resetting

lspci:

00:07.0 Network controller: Atheros Communications, Inc. AR5416 802.11a/b/g/n Wireless PCI Adapter (rev 01)

06/01/07 17:32:59 changed by gonzalomateo

The same here with a macbook pro. Using latest wireless tools and latest madwifi-ng.

iwconfig Wireless-Tools version 29

Compatible with Wireless Extension v11 to v21.

I'm using madwifi-ng snapshot:

madwifi-ng-r2414-20070601.tar.gz 01-Jun-2007 02:36 4.0M

Wireless card crashes randomly. Sometimes I can be working for hours and sometimes it crashes in 15 minutes.

if I do dmesg it shows: wifi0: rx FIFO overrun; resetting

I have to reboot to get the card working again. If I unload/load the module in kernel, it doesn't work.

06/01/07 17:35:17 changed by gonzalomateo

I can find this information in kernel log:

ath_hal: module license 'Proprietary' taints kernel. ath_hal: 0.9.30.13 (AR5210, AR5211, AR5212, AR5416, RF5111, RF5112, RF2413, RF5413, RF2133) wlan: 0.8.4.2 (svn r2414)

wifi0: 11a rates: 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps wifi0: 11b rates: 1Mbps 2Mbps 5.5Mbps 11Mbps wifi0: 11g rates: 1Mbps 2Mbps 5.5Mbps 11Mbps 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps wifi0: turboG rates: 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps wifi0: H/W encryption support: WEP AES AES_CCM TKIP wifi0: mac 12.10 phy 8.1 radio 12.0 wifi0: Use hw queue 1 for WME_AC_BE traffic wifi0: Use hw queue 0 for WME_AC_BK traffic wifi0: Use hw queue 2 for WME_AC_VI traffic wifi0: Use hw queue 3 for WME_AC_VO traffic wifi0: Use hw queue 8 for CAB traffic wifi0: Use hw queue 9 for beacons wifi0: Atheros 5418: mem=0x90100000, irq=17

06/05/07 14:36:00 changed by litage7@gmail.com

hi guys. the problem occurs on MBP C2D too. here's my setup:

base: Apple MacBook Pro Core2 Duo distro: Debian GNU/Linux 4.0 (Etch) kernel: 2.6.21.1 + mactel-linux patches madwifi: trunk (revision 2414)

after about 2 hours of wireless usage, my connection drops out. i haven't enabled debugging yet, but this message appears in /var/log/{kern.log,syslog,messages}

kernel: wifi0: rx FIFO overrun; resetting

as others have said, no amount of reloading the modules or bringing ath0 down and up will re-establish wireless connectivity. i have to reboot to use wireless again.

thanks for working on this bug! -Nick

06/06/07 18:32:29 changed by Francis Irving (francis@flourish.org)

I also have this problem - same flakiness, same FIFO overrun error.

I'm on a new Macbook, using madwifi from Subversion, revision 2360 (the latest revision, a week ago anyway, crashed at bootup, so we went back to that one).

Interestingly, it often recovers if I put it to sleep then wake up again. Removing modules and reloading them doesn't fix things.

Anything i can do to help debug it? I mean, I even have Matthew Garrett living next door. I will follow instructions.

(follow-up: ↓ 10 ) 06/06/07 21:36:07 changed by Diego Aranha

I have the same problem here, running the latest revision (r2428) on kernel 2.6.21 with mactel-patches. The problem started after the merge of branch 0.9.30.13. The temporary solution that works for me is using a backup of the old branch, revision 2351.

(in reply to: ↑ 9 ) 06/09/07 19:36:35 changed by Diego Aranha

Replying to Diego Aranha:

I have the same problem here, running the latest revision (r2428) on kernel 2.6.21 with mactel-patches. The problem started after the merge of branch 0.9.30.13. The temporary solution that works for me is using a backup of the old branch, revision 2351.

Correction: the revision is r2310. I think this is the initial revision of the 0.9.30.13 branch.

06/10/07 00:14:45 changed by mentor

Right, so which branch/revision is working and which branch/revision is not?

Branches are madwifi-hal-0.9.30.10, madwifi-hal-0.9.30.13, and trunk...

(follow-up: ↓ 32 ) 06/11/07 16:48:16 changed by litage7@gmail.com

after the "FIFO overrun" occurs and wifi stops working, suspending to disk and resuming makes wifi work again.

however, i've just noticed that the problem doesn't occur if i'm not running kwifimanager. my laptop's been using wifi for the past 13 hours without a hiccup. if anyone else can test this out, i'd be interested in hearing your observations.

my laptop is a 15" Apple MacBook Pro Core2 Duo. -Nick

(follow-up: ↓ 14 ) 06/13/07 20:43:09 changed by nexus@smoula.net

Same problem here, Macbook C2D

02:00.0 0280: 168c:0024 (rev 01)

Subsystem: 106b:0087

using: madwifi-hal-0.9.30.13-r2351 kernel: 2.6.21-kamikaze4

suspend to ram and resume makes it work again but it's not what I want :) Anything to try? I'll help as I can, just tell me how...

(in reply to: ↑ 13 ) 06/22/07 00:34:11 changed by Vin

I also have the problem on a Atheros PCI card running v0.9.3.1 and a PC Card running @ BackTrack?2.

This problem may be related to ticket number 926. I'm now testing running 'watch iwpriv ath0 sleep 1' which runs the sleep command every 2s.

06/22/07 20:12:16 changed by mentor

06/23/07 00:21:32 changed by mentor

Right, the 0.9.30.13 branch has been merged and no longer exists. Please confirm with trunk.

@Vin: Are you seeing FIFO overruns?

06/24/07 16:26:08 changed by anonymous

I can confirm this bug again with trunk version too. (r2512)

it is ok only when I do

iwpriv ath0 bgscan 0

06/24/07 16:26:59 changed by nexus@smoula.net

uh, forgot to write my e-mail, sorry

07/01/07 22:19:14 changed by bencer@cauterized.net

i also confirm this bug on current trunk (latest macbook core2 duo)

07/10/07 13:05:12 changed by madwifi.org@the2masters.de

same problem here, but a little bit other dmesg output and I can unload/reload all madwifi-ng modules to let it work again.

dmesg: wifi0: rx FIFO overrun; resetting wifi0: rx FIFO overrun; resetting wifi0: rx FIFO overrun; resetting wifi0: rx FIFO overrun; resetting wifi0: rx FIFO overrun; resetting wifi0: rx FIFO overrun; resetting wifi0: rx FIFO overrun; resetting wifi0: rx FIFO overrun; resetting wifi0: rx FIFO overrun; resetting wifi0: rx FIFO overrun; resetting wifi0: rx FIFO overrun; resetting wifi0: rx FIFO overrun; resetting wifi0: rx FIFO overrun; resetting wifi0: rx FIFO overrun; resetting wifi0: ath_chan_set: unable to reset channel 11 (2462 MHz) flags 0xc0 'Hardware didn't respond as expected' (HAL status 3)

every few seconds a rx FIFO overrun, and after a few days the last message and the card stopped working. This is madwifi-ng-0.9.3.1 on kernel-2.6.21.5

07/10/07 13:09:26 changed by madwifi.org@the2masters.de

sorry, last post is bad formated, here my dmesg:

wifi0: rx FIFO overrun; resetting
wifi0: rx FIFO overrun; resetting
wifi0: rx FIFO overrun; resetting
wifi0: ath_chan_set: unable to reset channel 11 (2462 MHz) flags 0xc0 'Hardware didn't respond as expected' (HAL status 3)

07/14/07 01:58:39 changed by anonymous

Hi, I have the same problem here with AR5008 and the latest trunk. I had no problems with the previous 0.9.30.13 branch (that is no longer avaible).

My system log show two different messages :

dhclient: wifi0: unknown hardware address type 801 wifi0: rx FIFO overrun; resetting

Also, I noticed that suspending my laptop and resuming it generally makes it working again (except that now my suspend script is broken).

And after some time, I can't get results from iwlist :

ath0 No scan results

I also noticed that the bug #1272 is also having the rx FIFO overrun messages and it suggest that there is a memory leak somewhere ...

07/14/07 06:44:38 changed by anonymous

As per #1272, would you check if you are experiencing a memory leak by watching /proc/meminfo for the slab statistic?

(follow-up: ↓ 26 ) 07/24/07 20:18:52 changed by vilsonv@gmail.com

Hi, I'm having the same problem with a MacBook 2 non-pro.

lspci:

02:00.0 Network controller: Atheros Communications, Inc. Unknown device 0024 (rev 01)

I've tested with the latest cvs version (trunk) and with r2351 of 0.9.30.13.

Kernel: 2.6.22.1 with mactel patches

07/25/07 02:21:25 changed by vilsonv@gmail.com

Just to add more information. I've got the same message with dmesg:

wifi0: rx FIFO overrun; resetting

the driver back to work after a suspend to RAM too.

(in reply to: ↑ 24 ; follow-up: ↓ 27 ) 07/25/07 06:21:33 changed by mrenzmann

Replying to vilsonv@gmail.com:

I've tested with the latest cvs version (trunk)

Try again with r2597 or later, which has a fix for a nasty memory leak.

(in reply to: ↑ 26 ) 07/25/07 23:08:05 changed by anonymous

Replying to mrenzmann:

Try again with r2597 or later, which has a fix for a nasty memory leak.

I got the same error again with the last trunk.

07/26/07 01:27:46 changed by anonymous

I have the same problem on a Thinkpad X60t, using r2598.

lspci:

03:00.0 Network controller: Atheros Communications, Inc. AR5418 802.11a/b/g/n Wireless PCI Express Adapter (rev 01)

dmesg when the failure occurs:

Uhhuh. NMI received for unknown reason b0.
You have some hardware problem, likely on the PCI bus.
Dazed and confused, but trying to continue
wifi0: rx FIFO overrun; resetting
wifi0: rx FIFO overrun; resetting
wifi0: rx FIFO overrun; resetting
wifi0: rx FIFO overrun; resetting

(repeated many times until I suspend-to-RAM and wake again, at which point the problem seems to go away)

07/29/07 18:01:09 changed by mj@casalogic.dk

Same problem here on a MacBook (non-pro) Black...

08/01/07 06:27:35 changed by boronk@boronk.de

Same problem on my black Core2Duo MacBook. No "Dazed and Confused" at the beginning, but a suspend and a following Wake-up lets my Wlan work again.

08/01/07 21:00:26 changed by vilsonv@gmail.com

With the latest revision r2630 the connection crashes constantly and dmesg returns:

ath0: no IPv6 routers present

Any idea?

(in reply to: ↑ 12 ; follow-up: ↓ 34 ) 08/06/07 01:06:13 changed by litage7@gmail.com

Replying to litage7@gmail.com:

after the "FIFO overrun" occurs and wifi stops working, suspending to disk and resuming makes wifi work again. however, i've just noticed that the problem doesn't occur if i'm not running kwifimanager. my laptop's been using wifi for the past 13 hours without a hiccup. if anyone else can test this out, i'd be interested in hearing your observations. my laptop is a 15" Apple MacBook Pro Core2 Duo. -Nick

nevermind, this doesn't actually work. i was just having a lot of luck =P -Nick

08/06/07 16:17:46 changed by madwifi1017@rivera.za.net

MacBook user: Still broken in r2632.

(in reply to: ↑ 32 ) 08/08/07 22:06:30 changed by vilsonv@gmail.com

Replying to litage7@gmail.com:

Replying to litage7@gmail.com:

after the "FIFO overrun" occurs and wifi stops working, suspending to disk and resuming makes wifi work again. however, i've just noticed that the problem doesn't occur if i'm not running kwifimanager. my laptop's been using wifi for the past 13 hours without a hiccup. if anyone else can test this out, i'd be interested in hearing your observations. my laptop is a 15" Apple MacBook Pro Core2 Duo. -Nick

nevermind, this doesn't actually work. i was just having a lot of luck =P -Nick

With my MacBook C2D 2n generation, using the Gnome Network Manager (GNM) it brokes more frequently (every 1 hour or less). Without GNM it runs 8+ hours without a hiccup.

08/12/07 17:47:16 changed by io_fx@yahoo.fr

I have the same problem here with the latest subversion. I can provide you with any information and/or debugging info if you wish. I'm on debian testing, kernel

# uname -a
Linux Xmac 2.6.21 #4 SMP Fri Aug 10 22:45:58 CEST 2007 x86_64 GNU/Linux
# lspci | grep Ath
02:00.0 Network controller: Atheros Communications, Inc. Unknown device 0024 (rev 01)
# lshw -C network
  *-network
       description: Wireless interface
       product: Atheros Communications, Inc.
       vendor: Atheros Communications, Inc.
       physical id: 0
       bus info: pci@0000:02:00.0
       logical name: wifi0
       version: 01
       serial: 00:1b:63:c7:b9:d3
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress msix bus_master cap_list logical ethernet physical wireless
       configuration: broadcast=yes driver=ath_pci driverversion=0.9.4.5 (svn r2651) ip=192.168.1.7 latency=0 module=ath_pci multicast=yes wireless=IEEE 802.11g

-- Alexandru Ionut Munteanu

08/13/07 04:52:10 changed by godlygeek+madwifi@gmail.com

Same problem here, on a Core2Duo macbook, running Ubuntu Gutsy on a custom 2.6.22.1 kernel with mactel patches. I see the problem still, currently with SVN madwifi revision 2628. As noted above,

sudo iwpriv ath0 bgscan 0

does fix the problem, and isn't a bad solution since I don't really need AP Roaming. However, this is a pretty big bug, making the system virtually unusable with Gnome Network Manager on. On campus, my connection would drop once every 15 to 20 minutes, and to fix it I needed to suspend the system, resume, and reload the modules. Clearly, bad, and not something the average Ubuntu user would even know how to do. :) If there's anything I can do to help, I'm more than happy to test any fixes or build a testing version to gather some more information.

08/17/07 05:47:19 changed by hiwu.tw@msa.hinet.net

I use the same driver, and do the same test on different Atheros Module.
One is AR5213 + AR5112. The other is AR5414.
For AR5414, I never see "wifi0: rx FIFO overrun; resetting" .
But on AR5213 + AR5112, I somtime see "wifi0: rx FIFO overrun; resetting"

(follow-up: ↓ 39 ) 08/18/07 15:52:26 changed by andrelop@andrelop.org

Hi,

I'm a MacBook 13' user and I can confirm the "wifi0: rx FIFO overrun; resetting" error. For me, it will only go away after a reboot, but it will get back after a couple of minutes using the wireless connection.

My ath_* kernel modules were obtained by compiling madwifi-ng-r2650-20070811.tar.gz, which I took from madwifi's website. It seemed to work fine for some days, but today I started experiencing this problem.

I'm using the "amd64" Debian unstable variant (x84_64, actually), i.e., the 64-bit version, not the 32-bit one.

(in reply to: ↑ 38 ; follow-ups: ↓ 40 ↓ 41 ) 08/18/07 16:09:05 changed by andrelop@andrelop.org

Replying to andrelop@andrelop.org:

Hi, I'm a MacBook 13' user and I can confirm the "wifi0: rx FIFO overrun; resetting" error. For me, it will only go away after a reboot, but it will get back after a couple of minutes using the wireless connection. My ath_* kernel modules were obtained by compiling madwifi-ng-r2650-20070811.tar.gz, which I took from madwifi's website. It seemed to work fine for some days, but today I started experiencing this problem. I'm using the "amd64" Debian unstable variant (x84_64, actually), i.e., the 64-bit version, not the 32-bit one.

Same machine, same distro, same architecture. I tried using madwifi-0.9.3.2.tar.gz. The compilation goes fine (I'm using kernel version 2.6.22), doing a "modprobe ath_pci" returns no errors and dmesg shows me :

ath_hal: 0.9.18.0 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413)
wlan: 0.8.4.2 (0.9.3.2)
ath_pci: 0.9.4.5 (0.9.3.2)

But the card is not found, so the network interface won't come up. This is "lspci" from a session without the ath_* modules loaded :

andrelop@foo:~$ lspci | grep -i atheros
02:00.0 Network controller: Atheros Communications, Inc. Unknown device 0024 (rev 01)
andrelop@foo:~$

(in reply to: ↑ 39 ) 08/18/07 16:58:56 changed by andrelop@andrelop.org

Replying to andrelop@andrelop.org:

Replying to andrelop@andrelop.org:

Hi, I'm a MacBook 13' user and I can confirm the "wifi0: rx FIFO overrun; resetting" error. For me, it will only go away after a reboot, but it will get back after a couple of minutes using the wireless connection. My ath_* kernel modules were obtained by compiling madwifi-ng-r2650-20070811.tar.gz, which I took from madwifi's website. It seemed to work fine for some days, but today I started experiencing this problem. I'm using the "amd64" Debian unstable variant (x84_64, actually), i.e., the 64-bit version, not the 32-bit one.

Same machine, same distro, same architecture. I tried using madwifi-0.9.3.2.tar.gz. The compilation goes fine (I'm using kernel version 2.6.22), doing a "modprobe ath_pci" returns no errors and dmesg shows me : {{{ ath_hal: 0.9.18.0 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413) wlan: 0.8.4.2 (0.9.3.2) ath_pci: 0.9.4.5 (0.9.3.2) }}} But the card is not found, so the network interface won't come up. This is "lspci" from a session without the ath_* modules loaded : {{{ andrelop@foo:~$ lspci | grep -i atheros 02:00.0 Network controller: Atheros Communications, Inc. Unknown device 0024 (rev 01) andrelop@foo:~$ }}}

It's me again. I tried using the latest madwifi-ng snapshot (madwifi-ng-r2657-20070818). Again, it compiled fine, modules were loaded fine but the same errors ("wifi0: rx FIFO overrun; resetting") still happens and no networking at all.

Also, the "iwpriv ath0 bgscan 0" trick didn't fixed the issue for me. I also tried using ndiswrapper, but no luck as I'm on 64-bit and the Windows driver is for 32-bit only and ndiswrapper gave me the following error :

ndiswrapper (check_nt_hdr:150): kernel is 64-bit, but Windows driver is not 64-bit;bad magic: 010B

So, I'm stuck with no wireless networking now. I have wired networking and so I can keep using it at home, but surely I will need wireless when using this machine somewhere else (also, no wireless means I'm restricted regarding where I could use this machine).

If you guys have any idea about what could be done, I'm available to test anything which could help me fix this problem.

(in reply to: ↑ 39 ) 08/19/07 10:55:39 changed by mrenzmann

Replying to andrelop@andrelop.org:

Same machine, same distro, same architecture. I tried using madwifi-0.9.3.2.tar.gz.

Since you're MacBook supposedly uses an AR5008-based card it's no surprise that it doesn't work with v0.9.3.2, since AR5008-support is not available in that version (as mentioned in the release notes).

(follow-up: ↓ 45 ) 08/19/07 12:14:37 changed by nbd

try this patch:

Index: if_ath.c
===================================================================
--- if_ath.c	(revision 2658)
+++ if_ath.c	(working copy)
@@ -1687,10 +1687,12 @@
 		sc->sc_stats.ast_hardware++;
 		ath_hal_intrset(ah, 0);		/* disable intr's until reset */
 		ATH_SCHEDULE_TQUEUE(&sc->sc_fataltq, &needmark);
+#if 0
 	} else if (status & HAL_INT_RXORN) {
 		sc->sc_stats.ast_rxorn++;
 		ath_hal_intrset(ah, 0);		/* disable intr's until reset */
 		ATH_SCHEDULE_TQUEUE(&sc->sc_rxorntq, &needmark);
+#endif
 	} else {
 		if (status & HAL_INT_SWBA) {
 			/*

08/21/07 13:04:40 changed by anonymous

nbd: I installed r2659 with this patch, last night. So far it seems to be working, but I'm still testing...

08/23/07 01:14:32 changed by tumbleweed

I was the anonymous above. I'm not getting the wifi stall described in this bug, but I am getting a system hang (after maybe 6-8hrs).

I don't know what causes it (it may be entirely unrelated, or related to this bug https ://bugs.launchpad.net/bugs/129226), but the wifi stops working, one CPU core goes into 100% system usage, and a fan comes on.

No messages from the kernel, or any daemon, and no obvious culprit, it looks like a kernel issue. After a suspend/resume, everything works again.

(in reply to: ↑ 42 ) 08/23/07 03:03:02 changed by thrantastic@gmail.com

Replying to nbd:

The above patch doesn't fix the issue for me. I've been running r2659 with the patch for about a day now, and my AR5008 still stops working inexplicably after some time (usually within an hour), coming back only after a suspend-resume cycle or a reboot. What this patch does seem to do is stop the "rx FIFO overrun" messages, but with no other apparent results. I'm willing to test additional patches if you come up with any. I should also note that I have never experienced a system hang as described by tumbleweed, just the connection loss.

For reference, I have a Thinkpad ABGN (AR5008) running madwifi-ng trunk r2659 on Linux 2.6.22.2.

08/23/07 15:01:20 changed by anonymous

I have the same experience with r2659 and the above patch. The only difference is that the "rx Fifo overrun" does not appear in the logs. The wireless just stops working and only a reboot fixes it.

i am running 2.6.22.3 on a macbook pro c2d.

08/24/07 07:27:45 changed by neitzke@ias.edu

I had a similar experience testing this patch on my Thinkpad: the bug remains, and I still get the "NMI received for unknown reason" message as I mentioned above, but the "FIFO overrun" messages went away.

08/24/07 13:17:15 changed by tumbleweed

OK. I got another loss of connectivity with it. I'm in agreement, the patch doesn't stop the card from not working, but removes the "FIFO overrun messages".

08/29/07 08:39:26 changed by anonymous

SVN r2695. "wifi0: rx FIFO overrun; resetting" still appear.

08/29/07 15:14:43 changed by jacek@rdkNOFUXINGSPAM07.de

I'm just sitting at work and have nothing to do. So i compiled nearly EVERY available snapshot on my Macbook c2d (not pro). When the versions were working, they all produced this "Fifo overrun" error.

When I just play around with aireplay my dmesg floods up immediately with this well-known message. Too bad if hardware becomes useless by such a bug.

08/29/07 23:16:26 changed by karibe

I have the same error message "wifi0: rx FIFO overrun; resetting" on my T60 thinkpad laptop

I'm periodicaly trying to compile and use every new snapshot but situation is same every time:(

08/30/07 09:15:51 changed by hiwu.tw@msa.hinet.net

Using UDP based program is easy to trigger this problem.
I use "tftp" client program to reproduce this problem.

08/31/07 21:55:25 changed by anonymous

it sounds from the latest that the FIFO overrun message *may* be unrelated to the lockup. thoughts?

(follow-up: ↓ 55 ) 09/01/07 18:58:00 changed by hiwu.tw@msa.hinet.net

Compare Madwifi Code with Freebsd 7.0
I found that Freebsd and Linux deal with RX tasklet
in different ways. I merge some code from freebsd
For you reference

Index: if_ath.c
===================================================================
--- if_ath.c    (revision 2701)
+++ if_ath.c    (working copy)
@@ -5533,6 +5533,7 @@
        int type;
        u_int phyerr;
        u_int64_t rs_tsf;
+       HAL_STATUS status;

        /* Let the 802.11 layer know about the new noise floor */
        sc->sc_channoise = ath_hal_get_channel_noise(ah, &(sc->sc_curchan)
@@ -5573,6 +5574,26 @@
                        ath_printrxbuf(bf, 1);
 #endif
                rs = &bf->bf_dsstatus.ds_rxstat;
+                 /*
+                  * Must provide the virtual address of the current
+                  * descriptor, the physical address, and the virtual
+                  * address of the next descriptor in the h/w chain.
+                  * This allows the HAL to look ahead to see if the
+                  * hardware is done with a descriptor by checking the
+                  * done bit in the following descriptor and the address
+                  * of the current descriptor the DMA engine is working
+                  * on.  All this is necessary because of our use of
+                  * a self-linked list to avoid rx overruns.
+                  */
+
+                status = ath_hal_rxprocdesc(ah, ds,
+                 bf->bf_daddr, PA2DESC(sc, ds->ds_link), 0, rs);
+
+                if (status == HAL_EINPROGRESS)
+                {
+                        break;
+                }
+

                len = rs->rs_datalen;
                /* DMA sync. dies spectacularly if len == 0 */

(in reply to: ↑ 54 ) 09/03/07 13:36:05 changed by jacek@rdkNOFUXINGSPAM07.de

Replying to hiwu.tw@msa.hinet.net:

Compare Madwifi Code with Freebsd 7.0
I found that Freebsd and Linux deal with RX tasklet
in different ways. I merge some code from freebsd
For you reference

I just tried it out. But i'm afraid it doesn't work. Same problem after same time.

09/12/07 04:09:19 changed by hiwu.tw@msa.hinet.net

The following article is found on mailing list.
Maybe it is a hint to solve the "rx FIFO underrun" problem.

List-id:  <madwifi-devel.lists.sourceforge.net> 

It was a bug with gpio interupt, for some reason (i'll need to track
down which change was it) get_isr was getting lots of stuff and the
do/while loop in ath_intr kept going on forever. So i disabled gpio
interrupt setup during reset and the thing works (at least managed
mode that i've tested). I also added HAL_INT_BNR (beacon not ready) on
get_isr in case we need it later (since it's a non-common mapping).

That might also be the problem with dadwifi-openhal's rx FIFO overrun
(I'll test it soon i hope)

Now i'll have to create a proper ar5xxx.h for madwifi-old-openhal as i
did with dadwifi-openhal to  be free of copyrighted materials and
it'll be ready for further development :-)

Also Pavel did a great job on the building system + cleaning the code
etc so no more warnings , thanx man ;-)


Have Fun
Nick

 

09/12/07 12:10:15 changed by hiwu.tw@msa.hinet.net

From Freebsd man page ATH(4)
current Madwifi defines
#define ATH_RXBUF 40 /* number of RX buffers */
#define ATH_TXBUF 200 /* number of TX buffers */

I change the ATH_RXBUF to 100, but the problem is still the same.
Does anybody have any idea about this problem?

     ath%d: rx FIFO overrun; resetting	The receive FIFO in the hardware over-
     flowed before the data could be transferred to the host.  This typically
     occurs because the hardware ran short of receive descriptors and had no
     place to transfer received data.  The driver will reset the hardware and
     continue.

(follow-ups: ↓ 61 ↓ 62 ↓ 64 ) 09/14/07 12:39:36 changed by hiwu.tw@msa.hinet.net

I change some setting of madwifi driver, and the "rx FIFO overrun" does not appear after 8hr testing. Please check if this path can fix the "rx FIFO overrun" problem.

--- if_athvar.h (revision 2708)
+++ if_athvar.h (working copy)
@@ -201,10 +201,10 @@
 #define ATH_MAX_MTU     2290
 #define ATH_MIN_MTU     32

-#define        ATH_RXBUF       40              /* number of RX buffers */
+#define        ATH_RXBUF       100             /* number of RX buffers */
 #define        ATH_TXBUF       200             /* number of TX buffers */

-#define        ATH_BCBUF       4               /* number of beacon buffers */
+#define        ATH_BCBUF       8               /* number of beacon buffers */

 /* free buffer threshold to restart net dev */
 #define        ATH_TXBUF_FREE_THRESHOLD  (ATH_TXBUF / 20)

--- BuildCaps.inc       (revision 2708)
+++ BuildCaps.inc       (working copy)
@@ -2,11 +2,11 @@
 # defaults
 #
 ifndef ATH_CAP_SUPERG_FF
-export ATH_CAP_SUPERG_FF=1
+export ATH_CAP_SUPERG_FF=0
 endif

 ifndef ATH_CAP_DYNTURBO
-export ATH_CAP_DYNTURBO=1
+export ATH_CAP_DYNTURBO=0
 endif

 ifndef ATH_CAP_SUPERG_COMP

09/15/07 06:58:08 changed by pi3e1415pi

I am running a macbook with the Atheros AR5008 chipset. It appears some of you have been able to get the wifi working for some amount of time, and I am wondering if you can point me to some reading. I am using the LiveCD of BackTrack?2. Does anyone know where the discussion on drivers for 802.11n support (AR5008 chipset) is?

Thanks a lot!

(in reply to: ↑ 58 ; follow-up: ↓ 63 ) 09/18/07 14:38:51 changed by anonymous

Replying to hiwu.tw@msa.hinet.net:

I change some setting of madwifi driver, and the "rx FIFO overrun" does not appear after 8hr testing. Please check if this path can fix the "rx FIFO overrun" problem.

I can confirm this seems to work. Running 24 hours with no problems so far.

(in reply to: ↑ 58 ) 09/19/07 11:11:11 changed by anonymous

Replying to hiwu.tw@msa.hinet.net:

I change some setting of madwifi driver, and the "rx FIFO overrun" does not appear after 8hr testing. Please check if this path can fix the "rx FIFO overrun" problem.

Still appears and then stop working after 2 hours running.

(in reply to: ↑ 61 ) 09/19/07 13:03:30 changed by anonymous

Replying to anonymous:

Replying to hiwu.tw@msa.hinet.net:

I change some setting of madwifi driver, and the "rx FIFO overrun" does not appear after 8hr testing. Please check if this path can fix the "rx FIFO overrun" problem.

I can confirm this seems to work. Running 24 hours with no problems so far.

My bad, still not working... :(

(in reply to: ↑ 58 ) 09/21/07 20:44:13 changed by anonymous

Replying to hiwu.tw@msa.hinet.net:

+#define ATH_RXBUF 100 /* number of RX buffers */

+#define ATH_BCBUF 8 /* number of beacon buffers */

Does not help for me..

I can reproduce the failure by using aireplay and replaying any captured packet while in monitor mode. When not dumping packets to disk, it takes about 5 - 10 min to hit the bug, when dumping to disk (airodump) it takes about 15 secs.

(in reply to: ↑ 60 ) 09/25/07 10:43:03 changed by mrenzmann

Replying to hiwu.tw@msa.hinet.net:

From old madwifi HAL code, there is some crew. ...

HEADS UP: Developers who are already involved in MadWifi and/or ath5k (or want to get involved at a later time) are requested to avoid the file that has been linked to above! It contains proprietary code that is not allowed to be used in any FOSS driver.

09/25/07 13:06:32 changed by anonymous

doesn't help for me too. AR5008 chipset I also experienced when I receive the message "wifi0: rx FIFO overrun; resetting" my bluetooth mouse is skipping a little bit and doesn't run smooth anymore.

09/28/07 22:39:13 changed by anonymous

Unless the wiki is wrong, madwifi.org/wiki/About/ath5k points to madwifi.org/wiki/About/OpenHAL for the supported chipsets, which in turn says "Also newer 5007* series and 5008* are known not to work yet."

09/29/07 17:38:31 changed by hiwu.tw@msa.hinet.net

The madwifi driver sets an unusually large PCI Latency Timer.
if_ath_pci.c

pci_write_config_byte(pdev. PCI_LATENCY_TIMER, 0xa8);

change the value to small value will have less "rx FIFO overrun" .

pci_write_config_byte(pdev. PCI_LATENCY_TIMER, 0x40);

09/30/07 03:08:05 changed by anonymous

Please, someone fix this bug: as efforts are moving from madwifi to ath5k it will take a lot of time for AR5008 users to have a working driver, fixing this bug would make madwifi decent enought to be used...

(follow-up: ↓ 77 ) 09/30/07 03:36:34 changed by mentor

No, I'm just going to continue ignoring it. *rolls eyes*

@hiwu: Why will that fix it? Should we even be setting the latency timer?

09/30/07 14:52:47 changed by hiwu.tw@msa.hinet.net

Short PCI latency timer will make rx DMA less efficient. If fact, user should not set the PCI latency timer. The PCI BIOS on mainboard will set it automatically. The default value is "0x20". Some NIC card driver will enlarge the value for better performance. FreeBSD's ar5k driver does not change the value.

(in reply to: ↑ 74 ) 10/02/07 08:56:09 changed by anonymous

Replying to mentor:

No, I'm just going to continue ignoring it. *rolls eyes*

Well there's no one assigned to the bug so it's not obvious that someone is working on it :-)

10/04/07 13:07:44 changed by MichaelHudson <micahel@gmail.com>

Just to say that I'm in the same boat as everyone else here :-)

MacBook Core 2 Duo, installed madwifi from SVN (r2719), wifi works for a while then stops.

Anything I can do to help? I'm a developer but no driver hacker :-)

10/05/07 19:44:10 changed by anonymous

It's worth noting that I'm experiencing this bug on MacOS (10.4.10, latest firmware).

This might require kicking the crappy hardware...

IS there some way to force a card reset?

10/08/07 14:04:10 changed by mentor

Right, have a go with r2732 and also, would you all confirm whether turning bgscan on or off affects the problem?

10/08/07 21:15:55 changed by anonymous

Turning off bgscan did not change anything for me.

My card just died after a couple of minutes/hours and the driver spammed my syslog with: wifi0: rx FIFO overrun; resetting

Card: 00:09.0 Network controller: Atheros Communications, Inc. Unknown device 0023 (rev 01) (it's a D-Link DWA-547)

I'll try the latest svn revision now.

(follow-up: ↓ 84 ) 10/09/07 21:51:00 changed by anonymous

It worked fine for about 8 hours (with that D-Link card). Same error like before.

10/10/07 14:31:39 changed by anonymous

On my MacBook Core 2 Duo 1.83, the "rx FIFO overrun" wifi0 screen of death shows up in a matter of hours ONLY if SMP is enabled, i.e. both cores are recognized. Booting with 'noapic' and/or 'acpi=off' turns off SMP (according to dmesg), but the "rx FIFO overrun" error is no longer a problem; it's stable for days on end. Obviously, I'd like to have both SMP and stable wifi0.

(in reply to: ↑ 82 ; follow-up: ↓ 87 ) 10/10/07 23:30:15 changed by mentor

  • priority changed from major to critical.
  • summary changed from madwifi stops working after ~8 hours to "rx FIFO overrun" prevents traffic from flowing.

Replying to anonymous:

It worked fine for about 8 hours (with that D-Link card). Same error like before.

Is this a change in symptom from beforehand? Or is it just the same thing?

Replying to anonymous: On my MacBook Core 2 Duo 1.83, the "rx FIFO overrun" wifi0 screen of death shows up in a matter of hours ONLY if SMP is enabled, i.e. both cores are recognized. Booting with 'noapic' and/or 'acpi=off' turns off SMP (according to dmesg), but the "rx FIFO overrun" error is no longer a problem; it's stable for days on end. Obviously, I'd like to have both SMP and stable wifi0.

This probably narrows it down to some sort of concurrency problem. Which probably makes it my fault. At least, I think I now have some idea of how to fix this...

(follow-up: ↓ 88 ) 10/11/07 22:12:12 changed by MSameer

I booted with irqpoll and did iwpriv wlan0 bgscan 0 on my T60

Now it works fine and am not sure which one solved the problem.

10/12/07 00:37:03 changed by rhett

mentor, please fix this, this is a problem on my T60 and T40, thanks, let me know if you want me to test something!

(in reply to: ↑ 84 ) 10/12/07 11:15:07 changed by anonymous

Replying to mentor:

Replying to anonymous:

It worked fine for about 8 hours (with that D-Link card). Same error like before.

Is this a change in symptom from beforehand? Or is it just the same thing?

Unfortunatelly this is exactly what happened with older revisions of the driver.

Turning off ACPI has no effect here. It's a pretty old box, so no SMP/APIC either.

(in reply to: ↑ 85 ; follow-up: ↓ 89 ) 10/13/07 00:45:18 changed by rhett

iwpriv wlan0 bgscan 0 seems to have helped me

(in reply to: ↑ 88 ) 10/13/07 14:08:22 changed by anonymous

Replying to rhett:

iwpriv wlan0 bgscan 0 seems to have helped me

same here. No FIFO overrun occurred so far.

10/13/07 14:18:14 changed by strasak@bubakov.net

hm i always turned bgscan off so probably that is the reason i haven't seen this locking any of our > 100 boxes with madwifi. But i still see lot of FIFO overruns here and there, they are benign it seems

10/18/07 04:06:30 changed by godlygeek+madwifi@gmail.com

I've been using bgscan=0 for the last 2.5 months, and haven't had a lock up since.

10/18/07 04:18:48 changed by epaulin

I also confirmed it didn't appears after set "iwpriv ath0 bgscan 0"

(follow-up: ↓ 94 ) 10/18/07 11:34:25 changed by Skol

Same problem on my macbook(Atheros Communications, Inc. Unknown device 0024 (rev 01)) with driver from svn (r2745). Also iwpriv ath0 bgscan 0 returns : ath0 no private ioctls. So it can't fix the problem

(in reply to: ↑ 93 ) 10/18/07 15:47:06 changed by anonymous

Replying to Skol:

Also iwpriv ath0 bgscan 0 returns : ath0 no private ioctls.

That may cause you didn't have ath0 interface, try iwpriv wifi0 bgscan 0

10/19/07 11:24:33 changed by flowolf

Wifi is working so far here with iwpriv ath0 bgscan 0.

10/21/07 12:43:53 changed by MSameer

iwpriv bgscan 0 alone works like a charm :-)

10/22/07 12:25:02 changed by dremon

Disabling bgscan also works for me. MacBookPro?, Atheros AR5418. No more rx FIFO overruns.

10/22/07 20:49:33 changed by jorge

In my case, I've probed disabling the bgscan and I works ok but I still have the FIFO overruns eventually (today I had one at 6.30 am after more than 48 hours uptime). I have a macbook core 2

10/24/07 16:53:46 changed by jdc@uwo.ca

On my Macbook Pro C2D with

0b:00.0 Network controller: Atheros Communications, Inc. AR5418 802.11a/b/g/n Wireless PCI Express Adapter (rev 01)

running svn r2717 (ath_hal 0.9.30.13, ath_pci 0.9.4.5, wlan 0.8.4.2) under Ubuntu's generic 2.6.22-14.46 kernel, I see the same problems:

wireless stops working, and rx FIFO overruns are in the dmesg output.

This also happens if I have run "iwpriv ath0 bgscan 0".

Dan

10/24/07 22:15:11 changed by anonymous

I've experienced some of the same problems. I'm running an HP dv9000 with the following card:

04:00.0 Network controller: Atheros Communications, Inc. AR5418 802.11a/b/g/n Wireless PCI Express Adapter (rev 01)

I grabbed svn 2781 and I'm also using Ubuntu's generic 2.6.22.14 kernel. For me though, I don't see rx FIFO overruns in dmesg, but I do see them in my syslog. I was able to get the card running for a while, but after it stopped I can't get it going again. I've tried rebooting and reloading the drivers, but nothing seems to work. I'd like to try setting bgscan to 0, but I need to get the card working again first. Any ideas?

11/01/07 06:51:47 changed by nornagon@gmail.com

Like this bug needs any more confirmation, but still:

I have this bug running Debian sid on a Macbook Pro Santa Rosa (v3) with a self-built i386 2.6.24-rc1 kernel, running from recent SVN. rmmod ath_pci causes a segfault and a kernel OOPS, whose output I will post next time it happens. I'm about to try the bgscan 0 fix.

I hope the ath5k driver supports this chipset soon.

11/04/07 22:11:45 changed by neitzke@ias.edu

A little more information on this bug.

I don't know why I am the only one who sees an NMI error before the cascade of FIFO overruns. Peeking into the kernel source I see that this message is produced by the function mem_parity_error(), in traps_64.c. However, there is a comment in the code before the call to mem_parity_error() which seems to indicate that the identification of the NMI as a parity error is suspect:

	/* AK: following checks seem to be broken on modern chipsets. FIXME */

	if (reason & 0x80)
		mem_parity_error(reason, regs);
	if (reason & 0x40)
		io_check_error(reason, regs);

mem_parity_error() itself reads

static __kprobes void
mem_parity_error(unsigned char reason, struct pt_regs * regs)
{
        printk(KERN_EMERG "Uhhuh. NMI received for unknown reason %02x.\n",
                reason);
        printk(KERN_EMERG "You have some hardware problem, likely on the PCI bus.\n");

#if defined(CONFIG_EDAC)
        if(edac_handler_set()) {
                edac_atomic_assert_error();
                return;
        }
#endif

        if (panic_on_unrecovered_nmi)
                panic("NMI: Not continuing");

        printk(KERN_EMERG "Dazed and confused, but trying to continue\n");

        /* Clear and disable the memory parity error line. */
        reason = (reason & 0xf) | 4;
        outb(reason, 0x61);
}

My current kernel has timestamps included (listing # of seconds since last wakeup from suspend), so one can see that the NMI is always close in time to the overruns:

[ 8878.847008] thinkpad_acpi: unknown LID-related hotkey event: 0x500c
[ 8892.428671] thinkpad_acpi: unknown LID-related hotkey event: 0x5009
[11084.863266] Uhhuh. NMI received for unknown reason a0.
[11084.863277] You have some hardware problem, likely on the PCI bus.
[11084.863281] Dazed and confused, but trying to continue
[11087.090955] wifi0: rx FIFO overrun; resetting
[11089.444806] wifi0: rx FIFO overrun; resetting
[11091.798682] wifi0: rx FIFO overrun; resetting
[11094.152548] wifi0: rx FIFO overrun; resetting
[11096.608767] wifi0: rx FIFO overrun; resetting
[11098.962629] wifi0: rx FIFO overrun; resetting

Also, this error condition disturbs other devices on my system, not just the wi-fi: it also leads to some spurious "clicks" from the Wacom device (this is a tablet PC). This behavior is consistent enough that now I can tell when the error condition has started even if I am not actively using the wi-fi.

(in reply to: ↑ description ) 11/10/07 00:01:57 changed by schmidt@digadd.de

Just so you know, the comment from AK is absolutely correct.

I did some reading in Intel specs - the NMI in this case is triggered by a PCI SERR condition (low-level error signalling). This can also be seen in lspci -vv:

Before the NMI: 00:00.0 Host bridge: Intel Corporation Mobile 945GM/PM/GMS, 943/940GML and 945GT Express Memory Controller Hub (rev 03)

Subsystem: Lenovo Unknown device 2015 Control: I/O- Mem+ BusMaster?+ SpecCycle?- MemWINV- VGASnoop- ParErr?- Stepping- SERR+ FastB2B- Status: Cap+ 66MHz- UDF- FastB2B+ ParErr?- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR-

After the NMI: 00:00.0 Host bridge: Intel Corporation Mobile 945GM/PM/GMS, 943/940GML and 945GT Express Memory Controller Hub (rev 03)

Subsystem: Lenovo Unknown device 2015 Control: I/O- Mem+ BusMaster?+ SpecCycle?- MemWINV- VGASnoop- ParErr?- Stepping- SERR+ FastB2B- Status: Cap+ 66MHz- UDF- FastB2B+ ParErr?- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR+ <PERR-

Note the change of the SERR on the Status: line. I'm not sure if it's my BIOS that clears up the reason, but reading the low level chipset doesn't reveal the reason for the NMI to me. Clearing the status bit is possible but doesn't help. For me, a suspend/resume cycle is the only thing that helps (short of rebooting). Unloading the driver isn't sufficient.

Furthermore, diff -U 100 lspci.freshboot.txt lspci.afternmi.txt shows that a PCI Master Abort occured (Status: <MAbort+). I'm not the PCI (Express) guru so I don't know what causes that, nor if it is somehow recoverable.

The system is a Lenovo T60p, AR5418, kernel 2.6.23-gentoo-r1.

Oh, and in case you wonder what's happening. The "rx FIFO overrun; resetting" happens because the card doesn't get an IRQ through (or just doesn't generate one) after it receives (a) frame(s). You can watch /proc/interrupts (after you make sure you don't send anything and remove all drivers that share the interrupt).

11/28/07 10:06:27 changed by george@providentdata.com

It's interesting that a master abort is thrown, but apparently never cleared.

For troubleshooting's sake, if anyone can, try throwing into the kernel the bridge control flag PCI_BRIDGE_CTL_MASTER_ABORT. That should force a target abort to be thrown to the device instead; the device may not like it, but it should then just restart -- a temporary outage instead of a permanent one. And then the problem will at least be narrowed, and we can look for why the bus master is trying to grab the bus when it can't. May be worth trying.

There's a patch for 2.6.11 at http: //groups.google.com/group/fa.linux.kernel/msg/0d5c4a2c4208c560 that makes that bus control flag available at boot time. That page also explains some of the problems stemming from Master Abort problems and devices not handling them and/or target aborts properly.

12/01/07 12:14:58 changed by neitzke@ias.edu

I tried applying the following patch to the current kernel (2.6.24-rc3):

diff --git a/drivers/pci/probe.c b/drivers/pci/probe.c
index 463a5a9..b41440a 100644
--- a/drivers/pci/probe.c
+++ b/drivers/pci/probe.c
@@ -516,6 +516,9 @@ int pci_scan_bridge(struct pci_bus *bus, struct pci_dev * dev, int max, int pass
        pci_write_config_word(dev, PCI_BRIDGE_CONTROL,
                              bctl & ~PCI_BRIDGE_CTL_MASTER_ABORT);
 
+       /* But below we'll turn on MasterAbortMode -- added here for debugging a PCI problem */
+       bctl |= PCI_BRIDGE_CTL_MASTER_ABORT;
+
        pci_enable_crs(dev);
 
        if ((buses & 0xffff00) && !pcibios_assign_all_busses() && !is_cardbus) {

I more-or-less copied this out of the patch linked above. Unfortunately it doesn't make any difference in the symptoms or the dmesg output as far as I can see.

With this patch applied, the output of "lspci -vv" differs before and after the NMI occurs, in three places: the host bridge changes from SERR- to SERR+, and both the PCI Express Port 2 and the Atheros device change from MAbort- to MAbort+.

12/09/07 15:38:54 changed by anonymous

will try "iwpriv ath0 bgscan 0".

Have a macbook pro C2D, runing gentoo kernel 2.22 madwifi svn r2659, hal 0.9.30.13.

The "wifi0: rx FIFO overrun; resetting" always also seems to happen when I detect a deauthentication frame? If no-one else connects to my AP, its usually stable for 16-20hrs.

12/09/07 19:01:15 changed by anonymous

After try "iwpriv ath0 bgscan 0". The problem still appears.
running arm-linux kernel 2.4.31 madwifi svn r3008, hal 0.9.30.13.

12/14/07 09:03:18 changed by nimalan.mahendran@gmail.com

Is there an ETA on a solution or workaround for this bug? It makes my wireless card non-functional :P Please let me know if any help is needed or even if a solution is not planned at all (perhaps due to the whole ath5k thing). Thanks...

12/28/07 07:43:42 changed by wendschh@alumni.princeton.edu

Just pointing to bug 1499 seems to be the same or very similar.

(in reply to: ↑ description ) 12/30/07 19:37:14 changed by anonymous

Replying to bugreports@nn7.de: same bug here with macbook (black). lspci shows: 02:00.0 Network controller: Atheros Communications, Inc. AR5418 802.11a/b/g/n Wireless PCI Express Adapter (rev 01) on gentoo-kernel-2.6.23 with madwifi trunk revision 3092. i try now "sudo iwpriv ath0 bgscan 0". i'll see if it helps.

01/04/08 04:06:45 changed by newt0311

More confirmation: This bug shows up in my Macbook pro C2D (Santa Rosa w/i the nvidia graphics card). Same rx FIFO overrun message. iwpriv ath0 bgscan 0 does not help but hibernation does (note that the the module is unloaded before the hibernate cycle and re-loaded afterwards). Another thing that I have noticed is that I have to start the interface init scripts twice to actually get DHCP to work. madwifi trunk revision 3081 and kernel version 2.6.24_rc3. Any workarounds would be great since this is a really annoying bug.

01/11/08 12:02:45 changed by k11stanatgmaildotcom

same as above - the only diff is that the bgscan 0 does prevent the error from happening in my case , but wpa_supplicant keeps loosing the ap if bg scanning is not on , also pain in the ass to use with multiple ap's with the same essid ... rev 3120 on kernel 2.6.24-rc4 with mactel patches ...

01/11/08 13:47:22 changed by Vilson Vieira

On my Macbook C2D, iwpriv ath0 bgscan 0 seems to fix the problem. Hibernation too. Is there a way to always set bthe bgscan to zero?

(follow-up: ↓ 115 ) 01/14/08 09:36:07 changed by Porch

And I thought OSS had a faster rate of fixing bugs then CSS. It's almost been a year and this bug is still not fixed. iwpriv ath0 bgscan 0 only mash the problem. My wifi still drops out at least once a day. It's very annoying and really limits what I can do with my Macbook. Anything that requires network connectivity, like backing up or ssh, requires me to use a cable and not wireless. Please fix this. I will do anything I can to help.

(in reply to: ↑ 114 ) 01/14/08 10:30:28 changed by anonymous

Replying to Porch:

And I thought OSS had a faster rate of fixing bugs then CSS. It's almost been a year and this bug is still not fixed.

OSS can only fix things if the specifications are available. Sadly is not the case with Atheros. A special license agreement is required; this is not available to everyone. We can see that we have a hardware problem (SERR is signaled). According to bug 1499 this does not appear with the ndiswrapper driver, which says that it's not a silicon but a driver bug. Linux currently doesn't handle these hardware errors (except on chipsets that do support Advanced Error Reporting, AER). There's nothing the madwifi driver can do about it, and I don't even know if it is possible to get the chip out of the state. Without access to the specs it's not possible for the madwifi developers to ask the chip what is wrong, and configure it in a way that the error does not occur.

(follow-ups: ↓ 117 ↓ 118 ) 01/14/08 10:37:01 changed by anonymous

well what I can tell is that reloading (rmmod / modprobe) the driver helps to fix this problem, so if this problem is not fixable why not after receiving say 10 SERR signals do a reinitialization in the driver ?

(in reply to: ↑ 116 ) 01/14/08 11:06:30 changed by Francis

Reloading the driver doesn't fix the problem, at least for me. Suspending and resuming does fix it though.

Nowdays I use the ndiswrapper driver, which works reliably for me. You do get the extra bonus that you can say you are using a Windows device driver on the Linux operating system on Apple hardware. This freaks out everyone that you tell, whichever computer system they are a fan of, and so is great fun.

I'm looking forward to the ath5k driver, which does not depend on a proprietary HAL, being standard, and hope it will fix this problem. Keep up the good work!

(in reply to: ↑ 116 ) 01/14/08 11:28:05 changed by anonymous

Replying to anonymous:

well what I can tell is that reloading (rmmod / modprobe) the driver helps to fix this problem, so if this problem is not fixable why not after receiving say 10 SERR signals do a reinitialization in the driver ?

For me as well only suspend/resume helps, reloading doesn't. If it works for you that's interesting. Does anyone know if I can run this driver with ndiswrapper on a 64bit system? I'd like to take a look at the differences in the PCI setup.

01/20/08 20:29:13 changed by Jared

I have the same exact problem with my brand new MacBook Pro. I am using the iwpriv ath0 bgscan 0 command at startup and I still lose my connection and get that FIFO error after a few hours.

01/23/08 12:54:40 changed by anonymous

If you suspend the computer i think its necessary to run the iwpriw command again after resume. In Ubuntu i created a file for this in /etc/acpi/resume.d/. My connection is 100% stable now.

01/25/08 11:10:04 changed by nornagon@gmail.com

@Jared, madwifi is dead. ath5k is the future. Madwifi has closed-source components, which means it can be difficult and frustrating to work with. ath5k, on the other hand, is open-source from top to bottom.

fwiw, the bgscan 0 fix works great for me most of the time; when it doesn't then a suspend and resume followed by a rerun of the bgscan command fixes the issue.

01/27/08 14:04:47 changed by anonymous

maybe this stack trace could be useful...

Setup: i386 + madwifi-ng-r3244 (snapshot) + quaggaspace.org / eee / madwifi-eee.tar.bz2 (new HAL) Atheros Communications, Inc. Unknown device [168c:0023] (rev 01) (aka AR5008)

ath_hal: module license 'Proprietary' taints kernel. ath_hal: 0.10.2.2-ATHEROS (AR5210, AR5211, AR5212, AR5416, RF5111, RF5112, RF2413, RF5413, RF2133, RF2425) ath_pci: svn r3244

(BTW: current hal 0.9.30.13 is too unstable with my card)

wifi0: ath_hardstart:3061 -> ieee80211_skb_track_debug:578 ERROR: Already tracked skb received.  Skipping.
 [<003e0773>] track_skb+0x8e/0x113 [wlan]
 [<c08369b4>] MODULES_VADDR+0xca9b4/0x893fff
 [<c07fd904>] MODULES_VADDR+0x91904/0x893fff
 [<c0800662>] MODULES_VADDR+0x94662/0x893fff
 [<003e0817>] ieee80211_skb_track_debug+0x1f/0x23 [wlan]
 [<c07fd904>] MODULES_VADDR+0x91904/0x893fff
 [<0042db7a>] ath_hardstart+0x2a/0x1594 [ath_pci]
 [<00200282>] ip_build_and_send_pkt+0x168/0x1ef
 [<00200282>] ip_build_and_send_pkt+0x168/0x1ef
 [<c08364d4>] MODULES_VADDR+0xca4d4/0x893fff
 [<003e07ee>] track_skb+0x109/0x113 [wlan]
 [<00001738>] calibrate_delay+0x110/0x258
 [<c0800692>] MODULES_VADDR+0x94692/0x893fff
 [<001d8f18>] __alloc_skb+0x4b/0x106
 [<00001738>] calibrate_delay+0x110/0x258
 [<c08364d4>] MODULES_VADDR+0xca4d4/0x893fff
 [<003e0eee>] ieee80211_dev_alloc_skb_debug+0x50/0x93 [wlan]
 [<00001738>] calibrate_delay+0x110/0x258
 [<00200292>] ip_build_and_send_pkt+0x178/0x1ef
 [<00279288>] _spin_lock_irqsave+0x34/0x3c
 [<00200292>] ip_build_and_send_pkt+0x178/0x1ef
 [<00200292>] ip_build_and_send_pkt+0x178/0x1ef
 [<00385ae5>] zz000b6c10+0xfb/0x35b [ath_hal]
 [<00200286>] ip_build_and_send_pkt+0x16c/0x1ef
 [<00200286>] ip_build_and_send_pkt+0x16c/0x1ef
 [<0002c955>] getnstimeofday+0x2b/0xac
 [<0002b4f2>] ktime_get_real+0xf/0x2b
 [<001dd1f0>] dev_hard_start_xmit+0x17b/0x1da
 [<001e9080>] __qdisc_run+0x7f/0x15a
 [<00279288>] _spin_lock_irqsave+0x34/0x3c
 [<00200286>] ip_build_and_send_pkt+0x16c/0x1ef
 [<001de79f>] net_tx_action+0xab/0xd2
 [<0001db9a>] __do_softirq+0x35/0x75
 [<00200046>] ip_queue_xmit+0x374/0x39c
 [<000062c0>] do_softirq+0x3e/0x8f
 [<0005c538>] vfs_read+0x118/0x128
 [<0003fafa>] handle_level_irq+0x0/0xb2
 [<0001dad9>] irq_exit+0x29/0x58
 [<000063c3>] do_IRQ+0xb2/0xc7
 [<00004793>] common_interrupt+0x33/0x40
 [<00048720>] vmstat_show+0x20/0x2c
 [<0020007b>] ip_flush_pending_frames+0xd/0xac
 [<00270000>] ieee80211_wx_get_scan+0x20e/0x920
 [<00200246>] ip_build_and_send_pkt+0x12c/0x1ef
 [<00200212>] ip_build_and_send_pkt+0xf8/0x1ef
 =======================
wifi0: rx FIFO overrun; resetting
wifi0: rx FIFO overrun; resetting
wifi0: rx FIFO overrun; resetting 

(follow-up: ↓ 151 ) 01/29/08 12:09:44 changed by mentor

Right, it seems we've found something that was causing traffic flow to stop, which appears to only be hit on SMP kernels.

May I ask any interested parties to test with latest trunk (r3302 as of posting). However, the DFS branch has just landed in trunk, so if you have problems it may be worth trying r3262 as well.

01/29/08 13:11:25 changed by anonymous

Hmm, It's not a SMP System... Infact it's just an old PIII, which works as a router/AP. Anyway, I'll report back on saturday.

(follow-up: ↓ 128 ) 01/29/08 13:52:18 changed by anonymous

well for all others thinkpad/macbook pros this would qualify, testing...

(in reply to: ↑ 127 ) 01/30/08 09:52:45 changed by anonymous

Replying to anonymous:

well for all others thinkpad/macbook pros this would qualify, testing...

And? Any results? does 3302 miracles, or not?

01/30/08 13:20:04 changed by dremon

I have tried with r3305 (the trunk) on Macbook Pro with AR5418. No luck, the same "buffer overrun" errors and connection dies permanently. The bgscan was not disabled. Disabling bgscan solves the problem also for old revisions like r2756.

01/30/08 21:14:54 changed by anonymous

hmm, what about the other hardware features? can someone run iwpriv athX abolt 0

and try again?

(follow-up: ↓ 132 ) 01/31/08 05:40:27 changed by Jared

Mentor, I tried the most recent trunk, which was actually newer than r3305, and still didn't work. I don't remember which revision it was and I can't find out since I'm in my Mac OS X partition now. Anyway, I DO have the iwpriv ath0 bgscan in my /etc/rc.local and it still outputted the rx FIFO overrun, with the new madwifi installed.. So I guess, unfortunately, the change(s) that was/were made did not solve the SMP bug.

(in reply to: ↑ 131 ) 01/31/08 05:52:14 changed by mentor

Replying to Jared:

it still outputted the rx FIFO overrun, with the new madwifi installed..

But what happened to your network connection?

01/31/08 13:24:53 changed by anonymous

BTW:

sometimes, I get lots of:

(minstrel or sample, it happends everywhere)

ath_rate_minstrel: no rates for 00:XX:XX:XX:XX:XX?
wifi0: invalid TX rate 0 (ath_tx_start: 7709)
ath_rate_minstrel: no rates for 00:XX:XX:XX:XX:XX?
wifi0: invalid TX rate 0 (ath_tx_start: 7709)
ath_rate_minstrel: no rates for 00:XX:XX:XX:XX:XX?
wifi0: invalid TX rate 0 (ath_tx_start: 7709)

before the fifo overruns?!

01/31/08 16:11:38 changed by dremon

As I mentioned before, I have tried revision 3305 and ended up with FIFO overrun. The log output was a bit different, however, from the previous revisions:

wifi0: ath_rxorn_tasklet: Receive FIFO overrun; resetting.

And then the same record was added every second to the syslog.

02/01/08 00:24:00 changed by Jared

mentor: When I said that it started outputting the rx FIFO overrun error with the newer trunk of madwifi, I also meant to imply that the network connection died. No matter what I tried to do, I could not bring it back up without rebooting.

02/01/08 16:41:52 changed by anonymous

hmm, the problem has vanished for me... The funny thing is that I did not touch anything!

02/02/08 21:18:35 changed by foodoc

Arh **** it's back... but I guess I do know why!

Heads up! 0.9.4 needs definitely a new HAL, the current one has a few bugs in "Master" and "Station" mode: - no beacons xmits on AR5008. - If countrycode is NOT 0, the module won't load! (Afaik there's already a ticket for this) - where are the 3 antenna profiles for diversity/MIMO? - "management frames" Denial of Service (DOS)

  • If the rx-queue gets full, because of a Intel 4965N WIFI Card that spits "associations requests" like a machine gun (or a packetspammer and injection) => "rx FIFO overrun"
  • If the tx-queue fills up: (because hostapd/wpa_supplicant is very eager to send disassoc/deauth for every associations response) => you'll see a few "ath_mgtstart: Dropping; no available transmit buffers." lines before the kernel panics in ath_hardstart.

Is there any hope? Or has Atheros dropped it's linux support thanks to the openhal & ath5k people?

02/02/08 21:21:04 changed by anonymous

lets hope so. better no driver than a broken closed source one.

02/02/08 23:13:05 changed by strasak@bubakov.net

There should be no kernel panic, if there is, it is most likely bug in driver, which should be and most likely will be fixed. Please provide output from crash - see ht_tp://madwifi.org/wiki/DevDocs/KernelOops for details.

Rx fifo overrun - there is probably some bug in driver which is causing problems here, it sometimes is not harmful - i got it on many many machines over network time to time and it is harmless there - it seems it only cause problems on SMP systems. Again, if there is kernel oops/panic on your machine , there is most likely bug in driver code and bug like that has to be traced and squashed, so provide devs with info about it.

Countrycode - if you have non-0 regdomain in your card eeprom, most of countrycodes will not work with hal error - because in most cases countrycode will not be within regdomain and you will have set appropriate - but in some cases of course not right - countrycode. Aka regdomain in your card eeprom is FCC, you will not be able to use european countrycodes and etc. .

MIMO - that and all 802.11n issues are really HAL issues and we have to wait till Atheros provide us with something for madwifi - new HAL with support for this stuff, or focus on developing ath5k, or both.

02/03/08 08:31:57 changed by Christian Schmidt

There is no panic, just an NMI. The message HAS some reasons, I posted it before. Now that 2.6.24 is out I might do the code to start PCI error handling from NMI (couldn't be bothered knowing that x86 and x86_64 will merge).

The card stops to generate RX data interrupts, so the driver doesn't pull the received frames, and that's why the queue overruns. I have no idea if this can be fixed in the driver or it requires changes in the HAL. There would of cause be the option to implement NAPI-like polling in the driver which would work without interrupts.

For the MIMO - Atheros did never provide a linux HAL. The development was done by Sam Loeffler after he entered into an agreement with Atheros, and so received the data sheets. You can see that from the hal subdirectory, files COPYRIGHT and README.

For the countrycode stuff, *in principle* you could compile the contents of a 0 regdomain card into the HAL and use it, but that might be a violation of the license agreement.

(follow-up: ↓ 142 ) 02/03/08 10:56:12 changed by strasak@bubakov.net

Christian, that foodoc guy said there has been panic, not me, also, Atheros did provide us with latest HAL - for 32bit x86 only thought. There is nbd's patch in openwrt source tree, which implements polling, you could give it a try. About regdomain, you could on many cards change regdomain in eeprom by ath5k utility, which is probably safer than patching HAL, which could be problematic as you have said.

(in reply to: ↑ 141 ; follow-up: ↓ 143 ) 02/03/08 12:52:44 changed by foodoc

Replying to strasak@bubakov.net:

Christian, that foodoc guy said there has been panic, not me.

Well, here are some "snapshots" of the panic: (madwifi-ng-r3318 this time on a x86_64, since the Pentium III machine doesn't have any graphiccard/com-port at all).

(remove the "_")
ht_tp_:/_/img104.imageshack.us/my.php?image=dsc00202cl0.jpg ht_tp_:/_/img210.imageshack.us/my.php?image=dsc00206ni2.jpg
(more or less useless)

(in reply to: ↑ 142 ) 02/09/08 18:54:37 changed by foodoc

Finally, with 3347 the panics are gone. :) but there are still some issues with the beacons xmits on AR5416...

wifi0: ath_chan_set: RADAR CHANNEL channel:2412 jiffies:4302067168
wifi0: ath_startrecv: RX settings: mtu 1500 cachelsz 32 rxbufsize 3104
wifi0: ath_mode_init: Set RX filter: 0x87, MC filter: 20000000:00041040
wifi0: ath_chan_set: Changing channels from   1 (2412 MHz) to   1 (2412 MHz) -- Time: 1202578834.842682
wifi0: ath_chan_set: Not performing channel change action: 1 -- Time: 1202578834.842682
wifi0: ath_newstate: ffff810078c566c0[] SCAN -> RUN
wifi0: ath_newstate: Set RX filter to 0x187 for BSSID 00:00:00:00:00:00 AID 0x0
ath_rate_sample: ath_rate_ctl_reset 00:11:22:XX:XX:XX 12 rates 1Mbps (14016us)- 54Mbps (644us)
ath_rate_sample: 00:11:22:XX:XX:XX ath_rate_newassoc isnew 1
ath_rate_sample: ath_rate_ctl_reset 00:11:22:XX:XX:XX 12 rates 1Mbps (14016us)- 54Mbps (644us)
wifi0: ath_newstate: SCAN->RUN: ic_flags=0x620c6410 iv=100 BSSID=00:11:22:XX:XX:XX capinfo=0x0010 chan=1
wifi0: ath_newstate: Invoking ath_hal_stoptxdma with sc_bhalq: 9
wifi0: ath_newstate: VAP ffff810078c566c0[] transitioned to RUN state and we ARE reconfiguring beacons.
wifi0: ath_newstate: Beacons reconfigured by ffff810078c566c0[]!
wifi0: ath_beaconq_config: Invoking ath_hal_settxqueueprops with tqi_aifs:1 tqi_cwmin:0 tqi_cwmax:0
wifi0: ath_beaconq_config: Invoking ath_hal_resettxqueue with sc_bhalq:9
wifi0: ath_beacon_config: ni=ffff81007ae6e000 tsf=0 hw_tsf=138425190 tsftu=0 hw_tsftu=135180
wifi0: ath_beacon_config: First beacon
wifi0: ath_beacon_config: nexttbtt=        19 intval=25 HAL_BEACON_ENA HAL_BEACON_RESET_TSF imask= HAL_INT_SWBA
wifi0: ath_intr: dev->flags=0x1043 IFF_UP IFF_BROADCAST IFF_RUNNING IFF_MULTICAST]
wifi0: ath_intr: ISR=0x4009 HAL_INT_RX HAL_INT_RXNOFRM HAL_INT_RXPHY
wifi0: ath_uapsd_processtriggers: rs_tstamp=     21398 count=1
wifi0: ath_uapsd_processtriggers: rs_tstamp=     213b9 count=2
wifi0: ath_uapsd_processtriggers: 1 rollover detected for hw_tsf=     213d7
wifi0: ath_uapsd_processtriggers: bf_tsf=     19398 hw_tsf=     213d7
wifi0: ath_uapsd_processtriggers: bf_tsf=     193b9 hw_tsf=     213d7
wifi0: ath_intr: dev->flags=0x1043 IFF_UP IFF_BROADCAST IFF_RUNNING IFF_MULTICAST]
wifi0: ath_intr: ISR=0x4009 HAL_INT_RX HAL_INT_RXNOFRM HAL_INT_RXPHY
wifi0: ath_uapsd_processtriggers: rs_tstamp=     213f4 count=1
wifi0: ath_uapsd_processtriggers: 1 rollover detected for hw_tsf=     2141f
wifi0: ath_uapsd_processtriggers: bf_tsf=     193f4 hw_tsf=     2141f
wifi0: ath_rx_tasklet: invoked
R (ffff81007ed3ad20 20) 7ed3ad80 7881a020 00000000 00000c60 00808007 00000000 ERR_PHY
R (ffff81007ed3ad80 80) 7ed3ade0 79c30020 00000000 00000c60 00808007 00000000 ERR_PHY
R (ffff81007ed3ade0 e0) 7ed3ae40 7db6d020 00000000 00000c60 00808009 00000000 ERR_PHY
wifi0: ath_rx_tasklet: invoked
wifi0: ath_intr: dev->flags=0x1043 IFF_UP IFF_BROADCAST IFF_RUNNING IFF_MULTICAST]
wifi0: ath_intr: ISR=0x4009 HAL_INT_RX HAL_INT_RXNOFRM HAL_INT_RXPHY
wifi0: ath_uapsd_processtriggers: rs_tstamp=     2184f count=1
wifi0: ath_uapsd_processtriggers: 1 rollover detected for hw_tsf=     21874
wifi0: ath_uapsd_processtriggers: bf_tsf=     1984f hw_tsf=     21874
wifi0: ath_rx_tasklet: invoked

and then the logs are filled up with lots of:

R (ffff81007ed3ae40 40) 7ed3aea0 160cc020 00000000 00000c60 00808008 00000000 ERR_PHY
wifi0: ath_intr: dev->flags=0x1043 IFF_UP IFF_BROADCAST IFF_RUNNING IFF_MULTICAST]
wifi0: ath_intr: ISR=0x4009 HAL_INT_RX HAL_INT_RXNOFRM HAL_INT_RXPHY
wifi0: ath_uapsd_processtriggers: rs_tstamp=     219c4 count=1
wifi0: ath_uapsd_processtriggers: 1 rollover detected for hw_tsf=     219e7
wifi0: ath_uapsd_processtriggers: bf_tsf=     199c4 hw_tsf=     219e7
wifi0: ath_rx_tasklet: invoked
...

any patches/hints/workarounds/further debugging/logs etc...?

(follow-up: ↓ 145 ) 02/17/08 23:47:55 changed by foodoc

"The ADHOC/AP mode is unsupported by any AR5006, AR5007, AR5008 chip on Linux/FreeBSD trough the "free" madwifi driver..."

(in reply to: ↑ 144 ; follow-up: ↓ 146 ) 02/18/08 05:56:01 changed by mrenzmann

Replying to foodoc:

"The ADHOC/AP mode is unsupported by any AR5006, AR5007, AR5008 chip on Linux/FreeBSD trough the "free" madwifi driver..."

Care to mention the source?

(in reply to: ↑ 145 ) 02/23/08 01:17:10 changed by foodoc

Replying to mrenzmann:

Replying to foodoc:

"The ADHOC/AP mode is unsupported by any AR5006, AR5007, AR5008 chip on Linux/FreeBSD trough the "free" madwifi driver..."

Care to mention the source?

Me! I tried about 3 diffrent AR5416 cards (NETGEAR, D-Link, SMC) and all had their problems... I think, I found atleast a way to get the beacons back (see #1801)

03/14/08 16:29:30 changed by mrenzmann

Another case was reported in #1842.

(follow-up: ↓ 150 ) 03/14/08 16:33:39 changed by rootkit85@yahoo.it

Still here in r3367

03/14/08 16:38:19 changed by rootkit85@yahoo.it

Here's my log:

ath_hal: module license 'Proprietary' taints kernel.
ath_hal: 0.9.30.13 (AR5210, AR5211, AR5212, AR5416, RF5111, RF5112, RF2413, RF5413, RF2133)
wlan: svn r3367
ath_pci: svn r3367
ACPI: PCI Interrupt 0000:03:00.0[A] -> GSI 17 (level, low) -> IRQ 17
PCI: Setting latency timer of device 0000:03:00.0 to 64
MadWifi: ath_attach: Switching rfkill capability off
ath_rate_minstrel: Minstrel automatic rate control algorithm 1.2 (svn r3367)
ath_rate_minstrel: look around rate set to 10%
ath_rate_minstrel: EWMA rolloff level set to 75%
ath_rate_minstrel: max segment size in the mrr set to 6000 us
MadWifi: ath_attach: Switching per-packet transmit power control off
wifi0: 11a rates: 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: 11b rates: 1Mbps 2Mbps 5.5Mbps 11Mbps
wifi0: 11g rates: 1Mbps 2Mbps 5.5Mbps 11Mbps 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: turboG rates: 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: H/W encryption support: WEP AES AES_CCM TKIP
wifi0: ath_announce: Use hw queue 1 for WME_AC_BE traffic
wifi0: ath_announce: Use hw queue 0 for WME_AC_BK traffic
wifi0: ath_announce: Use hw queue 2 for WME_AC_VI traffic
wifi0: ath_announce: Use hw queue 3 for WME_AC_VO traffic
wifi0: ath_announce: Use hw queue 8 for CAB traffic
wifi0: ath_announce: Use hw queue 9 for beacons
ath_pci: wifi0: Atheros 5418: mem=0x90100000, irq=17
wifi0: ath_rxorn_tasklet: Receive FIFO overrun; resetting.
wifi0: ath_rxorn_tasklet: Receive FIFO overrun; resetting.
wifi0: ath_rxorn_tasklet: Receive FIFO overrun; resetting.
wifi0: ath_rxorn_tasklet: Receive FIFO overrun; resetting.
wifi0: ath_rxorn_tasklet: Receive FIFO overrun; resetting.
wifi0: ath_rxorn_tasklet: Receive FIFO overrun; resetting.
wifi0: ath_rxorn_tasklet: Receive FIFO overrun; resetting.

(in reply to: ↑ 148 ) 03/14/08 17:48:08 changed by foodoc

Replying to rootkit85@yahoo.it:

Still here in r3367

yes, however for some strange reason...they don't flood my logs anymore or drop the connection... at least for me?!

(in reply to: ↑ 125 ; follow-up: ↓ 152 ) 03/20/08 01:12:30 changed by anonymous

Replying to mentor:

Right, it seems we've found something that was causing traffic flow to stop, which appears to only be hit on SMP kernels. May I ask any interested parties to test with latest trunk (r3302 as of posting). However, the DFS branch has just landed in trunk, so if you have problems it may be worth trying r3262 as well.

Seeing how some people mentioned it's SMP related here's what I was able to achieve:

Macbook Pro 2.4GHz ; Atheros 5418 ; kernel 2.6.20.21 ath_hal: 0.9.30.13 ; wlan: 0.8.4.2 (svn r2667) ; ath_pci: 0.9.4.5 (svn r2667)

With SMP enabled (CONFIG_SMP) working time is sporadic (average 24 hours), seems to depend on traffic load. Disabled SMP support and running without problems for a week straight now.

Also, I was not able to get the interface using any other madwifi version other than madwifi-ng-r2667-20070825. All other versions would load the driver but did not display ath0 or wifi0 interface nor was there any specific hardware information in the kernel log.

PS: it's unfortunate that it's a trade off between system performance and wireless capability.

(in reply to: ↑ 151 ) 03/20/08 16:22:12 changed by anonymous

Replying to anonymous:

Also, I was not able to get the interface using any other madwifi version other than madwifi-ng-r2667-20070825. All other versions would load the driver but did not display ath0 or wifi0 interface nor was there any specific hardware information in the kernel log.

that's really strange... can you reproduce this with the latest trunk and put dmesg's output here?

(follow-up: ↓ 154 ) 03/20/08 16:45:28 changed by archaios7@gmail.com

I'm having a similar situation with my AR5416. Running Ubuntu Hardy Heron with a self compiled madwifi .94.

Once it starts happening it starts to slow down and eventually lock up my computer. I'm at work now so I can't post my logs, but once I get home I'll put them up here.

(in reply to: ↑ 153 ) 03/20/08 19:11:17 changed by foodoc

Replying to archaios7@gmail.com:

I'm having a similar situation with my AR5416. Running Ubuntu Hardy Heron with a self compiled madwifi .94. Once it starts happening it starts to slow down and eventually lock up my computer. I'm at work now so I can't post my logs, but once I get home I'll put them up here.

Well, I got my AR5416 "stable" by: - wiggling some PCI Options (like bursting, cpu-pci buffer, delays, ...) in the System BIOS... - no "warm boots" (aka reboot/reset) just shutdown/wait/powerup - disabled all powersave features

(follow-up: ↓ 156 ) 03/22/08 05:41:19 changed by anonymous

I followed up to #1562, but there seems to be more action here.

Still having problems with madwifi-ng-r3401-20080321. This is the card I'm using:

0c:00.0 Network controller: Atheros Communications, Inc. AR5418 802.11a/b/g/n Wireless PCI Express Adapter (rev 01)

I'm running Kubuntu 7.10 amd64 on kernel 2.6.22-14-generic.

(in reply to: ↑ 155 ; follow-up: ↓ 157 ) 03/24/08 02:12:12 changed by anonymous

Replying to anonymous:

I followed up to #1562, but there seems to be more action here. Still having problems with madwifi-ng-r3401-20080321. This is the card I'm using: 0c:00.0 Network controller: Atheros Communications, Inc. AR5418 802.11a/b/g/n Wireless PCI Express Adapter (rev 01) I'm running Kubuntu 7.10 amd64 on kernel 2.6.22-14-generic.

Just happened again with madwifi-ng-r3402-20080323.

(in reply to: ↑ 156 ) 03/25/08 16:31:52 changed by anonymous

Replying to anonymous:

Just happened again with madwifi-ng-r3402-20080323.

I tried uniprocessor mode (noapic and nosmp kernel options) and I didn't see the problem for the 10 hours I was testing. With SMP, the longest I was able to use the wireless was about 8 hours. Sometimes it'd happen within an hour.

04/02/08 17:53:41 changed by rootkit85@yahoo.it

Now I have this error too:

wifi0: ath_rxorn_tasklet: Receive FIFO overrun; resetting.

04/11/08 01:00:18 changed by mentor

mdtaylor has just commited a whole set of changes that look highly likely to have touched the code relating to this issue; please would you verify the status of the issue with r3531?

Thanks.

04/11/08 01:08:29 changed by foodoc

Well, it's still there... however it's really hard to trigger it now. :) I used a AR5416 (as AP) and hammered it with iperf from a Intel 4965N, over a period of 360 seconds in a noisy environment... But, the _easy_ surfing works really fine now!

(follow-up: ↓ 166 ) 04/11/08 01:15:04 changed by mdtaylor

foodoc, can you run "iwpriv athX debug_scanbufs 1" command for me when it's happening and tell me if any rxbuffers are leaked? If none leaked, then this is just you punishing the box and you can try increasing the rx buffer count or decreasing other CPU load. Otherwise, I'd like to know the line numbers where the buffers were taken that had leaked.

04/11/08 01:18:27 changed by mentor

For the general enrichment of those readin the ticket, I managed to get some testing done on an SMP machine for this bug, and the debug output indicated that after the traffic had stopped flowing the rx_tasklet was never firing (whereas it was firing regularly beforehand).

04/11/08 01:38:44 changed by foodoc

will do... tomorrow! as the noise is gone. and yes. maybe I'm pushing the box a bit.. as the rx FIFO bug recovers now :). BTW: how do I see if a rxbuffer leaked?

because

[33944.963583] Analyzing rx DMA buffers...                                                                                                  
[33944.963583] FOUND rx[ 63] (ffff81007a212370) in queue.  status: 0x00000000.
[...]

looks "ok" for me.

(follow-up: ↓ 165 ) 04/11/08 11:03:51 changed by DrunkenBear

card: d-link 457 work fine, but after 1 hour it crash

my dmesg:

wlan: svn r3536
ath_hal: module license 'Proprietary' taints kernel.
ath_hal: 0.9.30.13 (AR5210, AR5211, AR5212, AR5416, RF5111, RF5112, RF2413, RF5413, RF2133)
ath_rate_sample: 1.2 (svn r3536)
ath_rate_onoe: 1.0 (svn r3536)
ath_rate_amrr: 0.1 (svn r3536)
wlan: mac acl policy registered
ath_pci: svn r3536
PCI: Found IRQ 10 for device 0000:00:11.0
PCI: Sharing IRQ 10 with 0000:00:07.2
PCI: Sharing IRQ 10 with 0000:00:09.0
MadWifi: ath_attach: HAL managed transmit power control (TPC) disabled.
MadWifi: ath_attach: Interference mitigation is supported.  Currently disabled.
MadWifi: ath_attach: Switching rfkill capability off.
wifi0: 11b rates: 1Mbps 2Mbps 5.5Mbps 11Mbps
wifi0: 11g rates: 1Mbps 2Mbps 5.5Mbps 11Mbps 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: turboG rates: 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: H/W encryption support: WEP AES AES_CCM TKIP
wifi0: ath_announce: Use hw queue 1 for WME_AC_BE traffic
wifi0: ath_announce: Use hw queue 0 for WME_AC_BK traffic
wifi0: ath_announce: Use hw queue 2 for WME_AC_VI traffic
wifi0: ath_announce: Use hw queue 3 for WME_AC_VO traffic
wifi0: ath_announce: Use hw queue 8 for CAB traffic
wifi0: ath_announce: Use hw queue 9 for beacons
ath_pci: wifi0: Atheros 5416: mem=0xd9000000, irq=10
Filesystem "hdg1": Disabling barriers, not supported by the underlying device
XFS mounting filesystem hdg1
Ending clean XFS mount for filesystem: hdg1
Adding 500336k swap on /dev/hdb1.  Priority:-1 extents:1 across:500336k
Clocksource tsc unstable (delta = 96012921 ns)
Time: pit clocksource has been installed.
ath0: no IPv6 routers present
eth0: link down
ADDRCONF(NETDEV_UP): eth0: link is not ready
eth1: link up, 100Mbps, full-duplex, lpa 0x43E1
eth1: link up, 100Mbps, full-duplex, lpa 0x43E1
ath0: no IPv6 routers present
eth2: link up, 100Mbps, full-duplex, lpa 0x41E1
eth1: no IPv6 routers present
eth2: no IPv6 routers present
Scanning DMA buffer heaps...

Analyzing tx DMA buffers...
FOUND tx[211] (df0a55b8) in free list.  status: 0x00000000.
FOUND tx[212] (df0a5620) in free list.  status: 0x00000000.
FOUND tx[213] (df0a5688) in free list.  status: 0x00000000.
FOUND tx[214] (df0a56f0) in free list.  status: 0x00000000.
FOUND tx[215] (df0a5758) in free list.  status: 0x00000000.
FOUND tx[220] (df0a5960) in free list.  status: 0x00000000.
FOUND tx[221] (df0a59c8) in free list.  status: 0x00000000.
FOUND tx[222] (df0a5a30) in free list.  status: 0x00000000.
FOUND tx[223] (df0a5a98) in free list.  status: 0x00000000.
FOUND tx[224] (df0a5b00) in free list.  status: 0x00000000.
FOUND tx[225] (df0a5b68) in free list.  status: 0x00000000.
FOUND tx[226] (df0a5bd0) in free list.  status: 0x00000000.
FOUND tx[227] (df0a5c38) in free list.  status: 0x00000000.
FOUND tx[228] (df0a5ca0) in free list.  status: 0x00000000.
FOUND tx[229] (df0a5d08) in free list.  status: 0x00000000.
FOUND tx[232] (df0a5e40) in free list.  status: 0x00000000.
FOUND tx[233] (df0a5ea8) in free list.  status: 0x00000000.
FOUND tx[234] (df0a5f10) in free list.  status: 0x00000000.
FOUND tx[235] (df0a5f78) in free list.  status: 0x00000000.
FOUND tx[236] (df0a5fe0) in free list.  status: 0x00000000.
FOUND tx[237] (df0a6048) in free list.  status: 0x00000000.
FOUND tx[240] (df0a6180) in free list.  status: 0x00000000.
FOUND tx[241] (df0a61e8) in free list.  status: 0x00000000.
FOUND tx[242] (df0a6250) in free list.  status: 0x00000000.
FOUND tx[243] (df0a62b8) in free list.  status: 0x00000000.
FOUND tx[248] (df0a64c0) in free list.  status: 0x00000000.
FOUND tx[249] (df0a6528) in free list.  status: 0x00000000.
FOUND tx[250] (df0a6590) in free list.  status: 0x00000000.
FOUND tx[251] (df0a65f8) in free list.  status: 0x00000000.
FOUND tx[252] (df0a6660) in free list.  status: 0x00000000.
FOUND tx[253] (df0a66c8) in free list.  status: 0x00000000.
FOUND tx[254] (df0a6730) in free list.  status: 0x00000000.
FOUND tx[255] (df0a6798) in free list.  status: 0x00000000.
FOUND tx[256] (df0a6800) in free list.  status: 0x00000000.
FOUND tx[257] (df0a6868) in free list.  status: 0x00000000.
FOUND tx[258] (df0a68d0) in free list.  status: 0x00000000.
FOUND tx[260] (df0a69a0) in free list.  status: 0x00000000.
FOUND tx[261] (df0a6a08) in free list.  status: 0x00000000.
FOUND tx[262] (df0a6a70) in free list.  status: 0x00000000.
FOUND tx[259] (df0a6938) in free list.  status: 0x00000000.
FOUND tx[264] (df0a6b40) in free list.  status: 0x00000000.
FOUND tx[265] (df0a6ba8) in free list.  status: 0x00000000.
FOUND tx[266] (df0a6c10) in free list.  status: 0x00000000.
FOUND tx[287] (df0a7498) in free list.  status: 0x00000000.
FOUND tx[268] (df0a6ce0) in free list.  status: 0x00000000.
FOUND tx[269] (df0a6d48) in free list.  status: 0x00000000.
FOUND tx[267] (df0a6c78) in free list.  status: 0x00000000.
FOUND tx[271] (df0a6e18) in free list.  status: 0x00000000.
FOUND tx[272] (df0a6e80) in free list.  status: 0x00000000.
FOUND tx[273] (df0a6ee8) in free list.  status: 0x00000000.
FOUND tx[274] (df0a6f50) in free list.  status: 0x00000000.
FOUND tx[275] (df0a6fb8) in free list.  status: 0x00000000.
FOUND tx[276] (df0a7020) in free list.  status: 0x00000000.
FOUND tx[277] (df0a7088) in free list.  status: 0x00000000.
FOUND tx[278] (df0a70f0) in free list.  status: 0x00000000.
FOUND tx[281] (df0a7228) in free list.  status: 0x00000000.
FOUND tx[282] (df0a7290) in free list.  status: 0x00000000.
FOUND tx[263] (df0a6ad8) in free list.  status: 0x00000000.
FOUND tx[284] (df0a7360) in free list.  status: 0x00000000.
FOUND tx[285] (df0a73c8) in free list.  status: 0x00000000.
FOUND tx[286] (df0a7430) in free list.  status: 0x00000000.
FOUND tx[283] (df0a72f8) in free list.  status: 0x00000000.
FOUND tx[288] (df0a7500) in free list.  status: 0x00000000.
FOUND tx[289] (df0a7568) in free list.  status: 0x00000000.
FOUND tx[290] (df0a75d0) in free list.  status: 0x00000000.
FOUND tx[294] (df0a7770) in free list.  status: 0x00000000.
FOUND tx[295] (df0a77d8) in free list.  status: 0x00000000.
FOUND tx[296] (df0a7840) in free list.  status: 0x00000000.
FOUND tx[297] (df0a78a8) in free list.  status: 0x00000000.
FOUND tx[298] (df0a7910) in free list.  status: 0x00000000.
FOUND tx[299] (df0a7978) in free list.  status: 0x00000000.
FOUND tx[  0] (df0a0000) in free list.  status: 0x00000000.
FOUND tx[  3] (df0a0138) in free list.  status: 0x00000000.
FOUND tx[  4] (df0a01a0) in free list.  status: 0x00000000.
FOUND tx[  5] (df0a0208) in free list.  status: 0x00000000.
FOUND tx[  6] (df0a0270) in free list.  status: 0x00000000.
FOUND tx[  7] (df0a02d8) in free list.  status: 0x00000000.
FOUND tx[  8] (df0a0340) in free list.  status: 0x00000000.
FOUND tx[  9] (df0a03a8) in free list.  status: 0x00000000.
FOUND tx[ 10] (df0a0410) in free list.  status: 0x00000000.
FOUND tx[ 11] (df0a0478) in free list.  status: 0x00000000.
FOUND tx[ 12] (df0a04e0) in free list.  status: 0x00000000.
FOUND tx[ 13] (df0a0548) in free list.  status: 0x00000000.
FOUND tx[ 16] (df0a0680) in free list.  status: 0x00000000.
FOUND tx[ 17] (df0a06e8) in free list.  status: 0x00000000.
FOUND tx[ 18] (df0a0750) in free list.  status: 0x00000000.
FOUND tx[ 19] (df0a07b8) in free list.  status: 0x00000000.
FOUND tx[ 20] (df0a0820) in free list.  status: 0x00000000.
FOUND tx[ 21] (df0a0888) in free list.  status: 0x00000000.
FOUND tx[ 22] (df0a08f0) in free list.  status: 0x00000000.
FOUND tx[ 23] (df0a0958) in free list.  status: 0x00000000.
FOUND tx[ 24] (df0a09c0) in free list.  status: 0x00000000.
FOUND tx[ 25] (df0a0a28) in free list.  status: 0x00000000.
FOUND tx[ 28] (df0a0b60) in free list.  status: 0x00000000.
FOUND tx[ 29] (df0a0bc8) in free list.  status: 0x00000000.
FOUND tx[ 30] (df0a0c30) in free list.  status: 0x00000000.
FOUND tx[ 34] (df0a0dd0) in free list.  status: 0x00000000.
FOUND tx[ 35] (df0a0e38) in free list.  status: 0x00000000.
FOUND tx[ 36] (df0a0ea0) in free list.  status: 0x00000000.
FOUND tx[ 37] (df0a0f08) in free list.  status: 0x00000000.
FOUND tx[ 38] (df0a0f70) in free list.  status: 0x00000000.
FOUND tx[ 39] (df0a0fd8) in free list.  status: 0x00000000.
FOUND tx[ 40] (df0a1040) in free list.  status: 0x00000000.
FOUND tx[ 41] (df0a10a8) in free list.  status: 0x00000000.
FOUND tx[ 42] (df0a1110) in free list.  status: 0x00000000.
FOUND tx[ 43] (df0a1178) in free list.  status: 0x00000000.
FOUND tx[ 44] (df0a11e0) in free list.  status: 0x00000000.
FOUND tx[ 45] (df0a1248) in free list.  status: 0x00000000.
FOUND tx[ 46] (df0a12b0) in free list.  status: 0x00000000.
FOUND tx[ 47] (df0a1318) in free list.  status: 0x00000000.
FOUND tx[ 48] (df0a1380) in free list.  status: 0x00000000.
FOUND tx[ 49] (df0a13e8) in free list.  status: 0x00000000.
FOUND tx[ 50] (df0a1450) in free list.  status: 0x00000000.
FOUND tx[ 51] (df0a14b8) in free list.  status: 0x00000000.
FOUND tx[ 52] (df0a1520) in free list.  status: 0x00000000.
FOUND tx[ 53] (df0a1588) in free list.  status: 0x00000000.
FOUND tx[ 55] (df0a1658) in free list.  status: 0x00000000.
FOUND tx[ 56] (df0a16c0) in free list.  status: 0x00000000.
FOUND tx[ 54] (df0a15f0) in free list.  status: 0x00000000.
FOUND tx[ 58] (df0a1790) in free list.  status: 0x00000000.
FOUND tx[ 60] (df0a1860) in free list.  status: 0x00000000.
FOUND tx[ 63] (df0a1998) in free list.  status: 0x00000000.
FOUND tx[ 70] (df0a1c70) in free list.  status: 0x00000000.
FOUND tx[ 71] (df0a1cd8) in free list.  status: 0x00000000.
FOUND tx[ 72] (df0a1d40) in free list.  status: 0x00000000.
FOUND tx[ 73] (df0a1da8) in free list.  status: 0x00000000.
FOUND tx[ 74] (df0a1e10) in free list.  status: 0x00000000.
FOUND tx[ 75] (df0a1e78) in free list.  status: 0x00000000.
FOUND tx[ 76] (df0a1ee0) in free list.  status: 0x00000000.
FOUND tx[ 78] (df0a1fb0) in free list.  status: 0x00000000.
FOUND tx[ 79] (df0a2018) in free list.  status: 0x00000000.
FOUND tx[ 80] (df0a2080) in free list.  status: 0x00000000.
FOUND tx[ 81] (df0a20e8) in free list.  status: 0x00000000.
FOUND tx[ 82] (df0a2150) in free list.  status: 0x00000000.
FOUND tx[ 85] (df0a2288) in free list.  status: 0x00000000.
FOUND tx[ 86] (df0a22f0) in free list.  status: 0x00000000.
FOUND tx[ 87] (df0a2358) in free list.  status: 0x00000000.
FOUND tx[ 88] (df0a23c0) in free list.  status: 0x00000000.
FOUND tx[ 89] (df0a2428) in free list.  status: 0x00000000.
FOUND tx[ 90] (df0a2490) in free list.  status: 0x00000000.
FOUND tx[ 91] (df0a24f8) in free list.  status: 0x00000000.
FOUND tx[ 92] (df0a2560) in free list.  status: 0x00000000.
FOUND tx[ 93] (df0a25c8) in free list.  status: 0x00000000.
FOUND tx[ 94] (df0a2630) in free list.  status: 0x00000000.
FOUND tx[ 95] (df0a2698) in free list.  status: 0x00000000.
FOUND tx[ 96] (df0a2700) in free list.  status: 0x00000000.
FOUND tx[ 98] (df0a27d0) in free list.  status: 0x00000000.
FOUND tx[ 99] (df0a2838) in free list.  status: 0x00000000.
FOUND tx[100] (df0a28a0) in free list.  status: 0x00000000.
FOUND tx[101] (df0a2908) in free list.  status: 0x00000000.
FOUND tx[102] (df0a2970) in free list.  status: 0x00000000.
FOUND tx[103] (df0a29d8) in free list.  status: 0x00000000.
FOUND tx[106] (df0a2b10) in free list.  status: 0x00000000.
FOUND tx[107] (df0a2b78) in free list.  status: 0x00000000.
FOUND tx[108] (df0a2be0) in free list.  status: 0x00000000.
FOUND tx[111] (df0a2d18) in free list.  status: 0x00000000.
FOUND tx[112] (df0a2d80) in free list.  status: 0x00000000.
FOUND tx[113] (df0a2de8) in free list.  status: 0x00000000.
FOUND tx[114] (df0a2e50) in free list.  status: 0x00000000.
FOUND tx[115] (df0a2eb8) in free list.  status: 0x00000000.
FOUND tx[116] (df0a2f20) in free list.  status: 0x00000000.
FOUND tx[117] (df0a2f88) in free list.  status: 0x00000000.
FOUND tx[120] (df0a30c0) in free list.  status: 0x00000000.
FOUND tx[121] (df0a3128) in free list.  status: 0x00000000.
FOUND tx[122] (df0a3190) in free list.  status: 0x00000000.
FOUND tx[123] (df0a31f8) in free list.  status: 0x00000000.
FOUND tx[124] (df0a3260) in free list.  status: 0x00000000.
FOUND tx[125] (df0a32c8) in free list.  status: 0x00000000.
FOUND tx[126] (df0a3330) in free list.  status: 0x00000000.
FOUND tx[127] (df0a3398) in free list.  status: 0x00000000.
FOUND tx[130] (df0a34d0) in free list.  status: 0x00000000.
FOUND tx[131] (df0a3538) in free list.  status: 0x00000000.
FOUND tx[132] (df0a35a0) in free list.  status: 0x00000000.
FOUND tx[135] (df0a36d8) in free list.  status: 0x00000000.
FOUND tx[136] (df0a3740) in free list.  status: 0x00000000.
FOUND tx[137] (df0a37a8) in free list.  status: 0x00000000.
FOUND tx[138] (df0a3810) in free list.  status: 0x00000000.
FOUND tx[139] (df0a3878) in free list.  status: 0x00000000.
FOUND tx[140] (df0a38e0) in free list.  status: 0x00000000.
FOUND tx[141] (df0a3948) in free list.  status: 0x00000000.
FOUND tx[142] (df0a39b0) in free list.  status: 0x00000000.
FOUND tx[143] (df0a3a18) in free list.  status: 0x00000000.
FOUND tx[144] (df0a3a80) in free list.  status: 0x00000000.
FOUND tx[145] (df0a3ae8) in free list.  status: 0x00000000.
FOUND tx[147] (df0a3bb8) in free list.  status: 0x00000000.
FOUND tx[150] (df0a3cf0) in free list.  status: 0x00000000.
FOUND tx[151] (df0a3d58) in free list.  status: 0x00000000.
FOUND tx[152] (df0a3dc0) in free list.  status: 0x00000000.
FOUND tx[153] (df0a3e28) in free list.  status: 0x00000000.
FOUND tx[154] (df0a3e90) in free list.  status: 0x00000000.
FOUND tx[155] (df0a3ef8) in free list.  status: 0x00000000.
FOUND tx[156] (df0a3f60) in free list.  status: 0x00000000.
FOUND tx[159] (df0a4098) in free list.  status: 0x00000000.
FOUND tx[160] (df0a4100) in free list.  status: 0x00000000.
FOUND tx[161] (df0a4168) in free list.  status: 0x00000000.
FOUND tx[162] (df0a41d0) in free list.  status: 0x00000000.
FOUND tx[149] (df0a3c88) in free list.  status: 0x00000000.
FOUND tx[163] (df0a4238) in free list.  status: 0x00000000.
FOUND tx[166] (df0a4370) in free list.  status: 0x00000000.
FOUND tx[167] (df0a43d8) in free list.  status: 0x00000000.
FOUND tx[168] (df0a4440) in free list.  status: 0x00000000.
FOUND tx[169] (df0a44a8) in free list.  status: 0x00000000.
FOUND tx[170] (df0a4510) in free list.  status: 0x00000000.
FOUND tx[171] (df0a4578) in free list.  status: 0x00000000.
FOUND tx[172] (df0a45e0) in free list.  status: 0x00000000.
FOUND tx[173] (df0a4648) in free list.  status: 0x00000000.
FOUND tx[174] (df0a46b0) in free list.  status: 0x00000000.
FOUND tx[175] (df0a4718) in free list.  status: 0x00000000.
FOUND tx[176] (df0a4780) in free list.  status: 0x00000000.
FOUND tx[179] (df0a48b8) in free list.  status: 0x00000000.
FOUND tx[180] (df0a4920) in free list.  status: 0x00000000.
FOUND tx[181] (df0a4988) in free list.  status: 0x00000000.
FOUND tx[184] (df0a4ac0) in free list.  status: 0x00000000.
FOUND tx[185] (df0a4b28) in free list.  status: 0x00000000.
FOUND tx[186] (df0a4b90) in free list.  status: 0x00000000.
FOUND tx[187] (df0a4bf8) in free list.  status: 0x00000000.
FOUND tx[188] (df0a4c60) in free list.  status: 0x00000000.
FOUND tx[189] (df0a4cc8) in free list.  status: 0x00000000.
FOUND tx[190] (df0a4d30) in free list.  status: 0x00000000.
FOUND tx[191] (df0a4d98) in free list.  status: 0x00000000.
FOUND tx[192] (df0a4e00) in free list.  status: 0x00000000.
FOUND tx[193] (df0a4e68) in free list.  status: 0x00000000.
FOUND tx[194] (df0a4ed0) in free list.  status: 0x00000000.
FOUND tx[195] (df0a4f38) in free list.  status: 0x00000000.
FOUND tx[196] (df0a4fa0) in free list.  status: 0x00000000.
FOUND tx[197] (df0a5008) in free list.  status: 0x00000000.
FOUND tx[198] (df0a5070) in free list.  status: 0x00000000.
FOUND tx[199] (df0a50d8) in free list.  status: 0x00000000.
FOUND tx[200] (df0a5140) in free list.  status: 0x00000000.
FOUND tx[201] (df0a51a8) in free list.  status: 0x00000000.
FOUND tx[270] (df0a6db0) in free list.  status: 0x00000000.
FOUND tx[203] (df0a5278) in free list.  status: 0x00000000.
FOUND tx[204] (df0a52e0) in free list.  status: 0x00000000.
FOUND tx[205] (df0a5348) in free list.  status: 0x00000000.
FOUND tx[202] (df0a5210) in free list.  status: 0x00000000.
FOUND tx[207] (df0a5418) in free list.  status: 0x00000000.
FOUND tx[208] (df0a5480) in free list.  status: 0x00000000.
FOUND tx[209] (df0a54e8) in free list.  status: 0x00000000.
FOUND tx[206] (df0a53b0) in txq[3].  status: 0x00000000.
FOUND tx[210] (df0a5550) in txq[1].  status: 0x00000000.
FOUND tx[ 66] (df0a1ad0) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[ 67] (df0a1b38) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[238] (df0a60b0) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[239] (df0a6118) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[ 61] (df0a18c8) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[ 62] (df0a1930) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[ 83] (df0a21b8) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[ 84] (df0a2220) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[157] (df0a3fc8) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[158] (df0a4030) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[245] (df0a6388) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[246] (df0a63f0) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[ 14] (df0a05b0) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[ 15] (df0a0618) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[133] (df0a3608) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[134] (df0a3670) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[ 31] (df0a0c98) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[ 32] (df0a0d00) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[182] (df0a49f0) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[183] (df0a4a58) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[ 26] (df0a0a90) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[ 27] (df0a0af8) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[230] (df0a5d70) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[231] (df0a5dd8) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[ 57] (df0a1728) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[279] (df0a7158) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[280] (df0a71c0) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[292] (df0a76a0) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[ 33] (df0a0d68) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[ 59] (df0a17f8) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[ 77] (df0a1f48) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[ 97] (df0a2768) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[104] (df0a2a40) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[105] (df0a2aa8) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[128] (df0a3400) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[129] (df0a3468) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[148] (df0a3c20) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[146] (df0a3b50) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[164] (df0a42a0) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[165] (df0a4308) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[177] (df0a47e8) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[178] (df0a4850) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[216] (df0a57c0) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[217] (df0a5828) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[218] (df0a5890) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[219] (df0a58f8) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[  1] (df0a0068) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[  2] (df0a00d0) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[244] (df0a6320) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[247] (df0a6458) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[118] (df0a2ff0) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[119] (df0a3058) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[291] (df0a7638) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[293] (df0a7708) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[109] (df0a2c48) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[110] (df0a2cb0) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[ 68] (df0a1ba0) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[ 69] (df0a1c08) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[ 64] (df0a1a00) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
FOUND tx[ 65] (df0a1a68) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.

Analyzing rx DMA buffers...
FOUND rx[ 28] (ded14b60) in queue.  status: 0x00000000.
FOUND rx[ 29] (ded14bc8) in queue.  status: 0x00000000.
FOUND rx[ 30] (ded14c30) in queue.  status: 0x00000000.
FOUND rx[ 31] (ded14c98) in queue.  status: 0x00000000.
FOUND rx[ 32] (ded14d00) in queue.  status: 0x00000000.
FOUND rx[ 33] (ded14d68) in queue.  status: 0x00000000.
FOUND rx[ 34] (ded14dd0) in queue.  status: 0x00000000.
FOUND rx[ 35] (ded14e38) in queue.  status: 0x00000000.
FOUND rx[ 36] (ded14ea0) in queue.  status: 0x00000000.
FOUND rx[ 37] (ded14f08) in queue.  status: 0x00000000.
FOUND rx[ 38] (ded14f70) in queue.  status: 0x00000000.
FOUND rx[ 39] (ded14fd8) in queue.  status: 0x00000000.
FOUND rx[ 40] (ded15040) in queue.  status: 0x00000000.
FOUND rx[ 41] (ded150a8) in queue.  status: 0x00000000.
FOUND rx[ 42] (ded15110) in queue.  status: 0x00000000.
FOUND rx[ 43] (ded15178) in queue.  status: 0x00000000.
FOUND rx[ 44] (ded151e0) in queue.  status: 0x00000000.
FOUND rx[ 45] (ded15248) in queue.  status: 0x00000000.
FOUND rx[ 46] (ded152b0) in queue.  status: 0x00000000.
FOUND rx[ 47] (ded15318) in queue.  status: 0x00000000.
FOUND rx[ 48] (ded15380) in queue.  status: 0x00000000.
FOUND rx[ 49] (ded153e8) in queue.  status: 0x00000000.
FOUND rx[ 50] (ded15450) in queue.  status: 0x00000000.
FOUND rx[ 51] (ded154b8) in queue.  status: 0x00000000.
FOUND rx[ 52] (ded15520) in queue.  status: 0x00000000.
FOUND rx[ 53] (ded15588) in queue.  status: 0x00000000.
FOUND rx[ 54] (ded155f0) in queue.  status: 0x00000000.
FOUND rx[ 55] (ded15658) in queue.  status: 0x00000000.
FOUND rx[ 56] (ded156c0) in queue.  status: 0x00000000.
FOUND rx[ 57] (ded15728) in queue.  status: 0x00000000.
FOUND rx[ 58] (ded15790) in queue.  status: 0x00000000.
FOUND rx[ 59] (ded157f8) in queue.  status: 0x00000000.
FOUND rx[ 60] (ded15860) in queue.  status: 0x00000000.
FOUND rx[ 61] (ded158c8) in queue.  status: 0x00000000.
FOUND rx[ 62] (ded15930) in queue.  status: 0x00000000.
FOUND rx[ 63] (ded15998) in queue.  status: 0x00000000.
FOUND rx[ 64] (ded15a00) in queue.  status: 0x00000000.
FOUND rx[ 65] (ded15a68) in queue.  status: 0x00000000.
FOUND rx[ 66] (ded15ad0) in queue.  status: 0x00000000.
FOUND rx[ 67] (ded15b38) in queue.  status: 0x00000000.
FOUND rx[ 68] (ded15ba0) in queue.  status: 0x00000000.
FOUND rx[ 69] (ded15c08) in queue.  status: 0x00000000.
FOUND rx[ 70] (ded15c70) in queue.  status: 0x00000000.
FOUND rx[ 71] (ded15cd8) in queue.  status: 0x00000000.
FOUND rx[ 72] (ded15d40) in queue.  status: 0x00000000.
FOUND rx[ 73] (ded15da8) in queue.  status: 0x00000000.
FOUND rx[ 74] (ded15e10) in queue.  status: 0x00000000.
FOUND rx[ 75] (ded15e78) in queue.  status: 0x00000000.
FOUND rx[ 76] (ded15ee0) in queue.  status: 0x00000000.
FOUND rx[ 77] (ded15f48) in queue.  status: 0x00000000.
FOUND rx[ 78] (ded15fb0) in queue.  status: 0x00000000.
FOUND rx[ 79] (ded16018) in queue.  status: 0x00000000.
FOUND rx[ 80] (ded16080) in queue.  status: 0x00000000.
FOUND rx[ 81] (ded160e8) in queue.  status: 0x00000000.
FOUND rx[ 82] (ded16150) in queue.  status: 0x00000000.
FOUND rx[ 83] (ded161b8) in queue.  status: 0x00000000.
FOUND rx[ 84] (ded16220) in queue.  status: 0x00000000.
FOUND rx[ 85] (ded16288) in queue.  status: 0x00000000.
FOUND rx[ 86] (ded162f0) in queue.  status: 0x00000000.
FOUND rx[ 87] (ded16358) in queue.  status: 0x00000000.
FOUND rx[ 88] (ded163c0) in queue.  status: 0x00000000.
FOUND rx[ 89] (ded16428) in queue.  status: 0x00000000.
FOUND rx[ 90] (ded16490) in queue.  status: 0x00000000.
FOUND rx[ 91] (ded164f8) in queue.  status: 0x00000000.
FOUND rx[ 92] (ded16560) in queue.  status: 0x00000000.
FOUND rx[ 93] (ded165c8) in queue.  status: 0x00000000.
FOUND rx[ 94] (ded16630) in queue.  status: 0x00000000.
FOUND rx[ 95] (ded16698) in queue.  status: 0x00000000.
FOUND rx[ 96] (ded16700) in queue.  status: 0x00000000.
FOUND rx[ 97] (ded16768) in queue.  status: 0x00000000.
FOUND rx[ 98] (ded167d0) in queue.  status: 0x00000000.
FOUND rx[ 99] (ded16838) in queue.  status: 0x00000000.
FOUND rx[  0] (ded14000) in queue.  status: 0x00000000.
FOUND rx[  1] (ded14068) in queue.  status: 0x00000000.
FOUND rx[  2] (ded140d0) in queue.  status: 0x00000000.
FOUND rx[  3] (ded14138) in queue.  status: 0x00000000.
FOUND rx[  4] (ded141a0) in queue.  status: 0x00000000.
FOUND rx[  5] (ded14208) in queue.  status: 0x00000000.
FOUND rx[  6] (ded14270) in queue.  status: 0x00000000.
FOUND rx[  7] (ded142d8) in queue.  status: 0x00000000.
FOUND rx[  8] (ded14340) in queue.  status: 0x00000000.
FOUND rx[  9] (ded143a8) in queue.  status: 0x00000000.
FOUND rx[ 10] (ded14410) in queue.  status: 0x00000000.
FOUND rx[ 11] (ded14478) in queue.  status: 0x00000000.
FOUND rx[ 12] (ded144e0) in queue.  status: 0x00000000.
FOUND rx[ 13] (ded14548) in queue.  status: 0x00000000.
FOUND rx[ 14] (ded145b0) in queue.  status: 0x00000000.
FOUND rx[ 15] (ded14618) in queue.  status: 0x00000000.
FOUND rx[ 16] (ded14680) in queue.  status: 0x00000000.
FOUND rx[ 17] (ded146e8) in queue.  status: 0x00000000.
FOUND rx[ 18] (ded14750) in queue.  status: 0x00000000.
FOUND rx[ 19] (ded147b8) in queue.  status: 0x00000000.
FOUND rx[ 20] (ded14820) in queue.  status: 0x00000000.
FOUND rx[ 21] (ded14888) in queue.  status: 0x00000000.
FOUND rx[ 22] (ded148f0) in queue.  status: 0x00000000.
FOUND rx[ 23] (ded14958) in queue.  status: 0x00000000.
FOUND rx[ 24] (ded149c0) in queue.  status: 0x00000000.
FOUND rx[ 25] (ded14a28) in queue.  status: 0x00000000.
FOUND rx[ 26] (ded14a90) in queue.  status: 0x00000000.
FOUND rx[ 27] (ded14af8) in queue.  status: 0x00000000.

Analyzing beacon DMA buffers...
FOUND beacon[  1] (dfb5aa68) in free list.  status: 0x00000000.
FOUND beacon[  2] (dfb5aad0) in free list.  status: 0x00000000.
FOUND beacon[  3] (dfb5ab38) in free list.  status: 0x00000000.
FOUND beacon[  0] (dfb5aa00) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] bcbuf*.  status: 0x00000000.


NETDEV WATCHDOG: wifi0: transmit timed out
NETDEV WATCHDOG: wifi0: transmit timed out
NETDEV WATCHDOG: wifi0: transmit timed out
NETDEV WATCHDOG: wifi0: transmit timed out
NETDEV WATCHDOG: wifi0: transmit timed out
NETDEV WATCHDOG: wifi0: transmit timed out
NETDEV WATCHDOG: wifi0: transmit timed out
NETDEV WATCHDOG: wifi0: transmit timed out
NETDEV WATCHDOG: wifi0: transmit timed out
NETDEV WATCHDOG: wifi0: transmit timed out
NETDEV WATCHDOG: wifi0: transmit timed out
NETDEV WATCHDOG: wifi0: transmit timed out
NETDEV WATCHDOG: wifi0: transmit timed out

(in reply to: ↑ 164 ) 04/11/08 12:31:37 changed by foodoc

Replying to DrunkenBear:

card: d-link 457 work fine, but after 1 hour it crash my dmesg:

> Scanning DMA buffer heaps...
> 
> Analyzing tx DMA buffers...
> FOUND tx[211] (df0a55b8) in free list.  status: 0x00000000.
[...]
> FOUND tx[206] (df0a53b0) in txq[3].  status: 0x00000000.
> FOUND tx[210] (df0a5550) in txq[1].  status: 0x00000000.
> FOUND tx[ 66] (df0a1ad0) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[ 67] (df0a1b38) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[238] (df0a60b0) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[239] (df0a6118) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[ 61] (df0a18c8) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[ 62] (df0a1930) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[ 83] (df0a21b8) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[ 84] (df0a2220) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[157] (df0a3fc8) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[158] (df0a4030) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[245] (df0a6388) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[246] (df0a63f0) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[ 14] (df0a05b0) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[ 15] (df0a0618) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[133] (df0a3608) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[134] (df0a3670) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[ 31] (df0a0c98) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[ 32] (df0a0d00) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[182] (df0a49f0) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[183] (df0a4a58) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[ 26] (df0a0a90) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[ 27] (df0a0af8) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[230] (df0a5d70) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[231] (df0a5dd8) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[ 57] (df0a1728) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[279] (df0a7158) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[280] (df0a71c0) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[292] (df0a76a0) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[ 33] (df0a0d68) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[ 59] (df0a17f8) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[ 77] (df0a1f48) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[ 97] (df0a2768) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[104] (df0a2a40) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[105] (df0a2aa8) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[128] (df0a3400) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[129] (df0a3468) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[148] (df0a3c20) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[146] (df0a3b50) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[164] (df0a42a0) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[165] (df0a4308) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[177] (df0a47e8) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[178] (df0a4850) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[216] (df0a57c0) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[217] (df0a5828) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[218] (df0a5890) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[219] (df0a58f8) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[  1] (df0a0068) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[  2] (df0a00d0) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[244] (df0a6320) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[247] (df0a6458) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[118] (df0a2ff0) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[119] (df0a3058) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[291] (df0a7638) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[293] (df0a7708) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[109] (df0a2c48) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[110] (df0a2cb0) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[ 68] (df0a1ba0) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[ 69] (df0a1c08) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[ 64] (df0a1a00) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> FOUND tx[ 65] (df0a1a68) in vap ath0 dec56500[00:1c:f0:bd:2f:c4] mcast queue.  status: 0x00000000.
> 
> Analyzing rx DMA buffers...
> FOUND rx[ 28] (ded14b60) in queue.  status: 0x00000000.
> FOUND rx[ 29] (ded14bc8) in queue.  status: 0x00000000.
[...]
> 
> NETDEV WATCHDOG: wifi0: transmit timed out
> NETDEV WATCHDOG: wifi0: transmit timed out
> NETDEV WATCHDOG: wifi0: transmit timed out
> NETDEV WATCHDOG: wifi0: transmit timed out
> NETDEV WATCHDOG: wifi0: transmit timed out
> NETDEV WATCHDOG: wifi0: transmit timed out
> NETDEV WATCHDOG: wifi0: transmit timed out
> NETDEV WATCHDOG: wifi0: transmit timed out
> NETDEV WATCHDOG: wifi0: transmit timed out
> NETDEV WATCHDOG: wifi0: transmit timed out
> NETDEV WATCHDOG: wifi0: transmit timed out
> NETDEV WATCHDOG: wifi0: transmit timed out
> NETDEV WATCHDOG: wifi0: transmit timed out

Hmm, seems like something is stuck in the multicast queues? But your RX FIFOs are fine!

(in reply to: ↑ 161 ) 04/11/08 23:25:24 changed by foodoc

Replying to mdtaylor:

foodoc, can you run "iwpriv athX debug_scanbufs 1" command for me when it's happening and tell me if any rxbuffers are leaked? If none leaked, then this is just you punishing the box and you can try increasing the rx buffer count or decreasing other CPU load. Otherwise, I'd like to know the line numbers where the buffers were taken that had leaked.

Allright! I said I'll report back... After a full day of iperf on a faster/less loaded machine I didn't see any leaks or RX FIFO overruns anymore.

Next stop: without the debug-code, because it seems to _eat_ nearly 10mbits (out of 28mbits).

Thanks,

foodoc

04/11/08 23:37:32 changed by mdtaylor

That one node has a huge amount of multicast traffic hanging fire for it. Should go out at DTIM. If you routinely have this much mcast traffic backed up maybe you need more tx buffers. I use 500 here.

04/11/08 23:38:41 changed by mdtaylor

One thing I didn't add to this scanner that I could have added was a timestamp for when the tx buffer was taken... maybe I'll throw that in so you can tell how stale the stuff is.

(follow-up: ↓ 170 ) 04/12/08 03:11:15 changed by anonymous

I'm still getting overruns with r3536. My chipset's a AR5418, in a Macbook Pro (v3).

wifi0: ath_rxorn_tasklet: Receive FIFO overrun; resetting.

(in reply to: ↑ 169 ) 04/12/08 16:25:46 changed by foodoc

Replying to anonymous:

I'm still getting overruns with r3536. My chipset's a AR5418, in a Macbook Pro (v3).

> wifi0: ath_rxorn_tasklet: Receive FIFO overrun; resetting.

can you please run

iwpriv athX debug_scanbufs 1

then look into

dmesg

and report... (although a Macbook Pro should be a very fast machine...?!)

(in reply to: ↑ 171 ) 04/14/08 03:32:45 changed by anonymous

Replying to nornagon@nornagon.net:

Replying to foodoc:

Replying to anonymous:

I'm still getting overruns with r3536. My chipset's a AR5418, in a Macbook Pro (v3).

{{{

wifi0: ath_rxorn_tasklet: Receive FIFO overrun; resetting.

}}} can you please run {{{ iwpriv athX debug_scanbufs 1 }}} then look into {{{ dmesg }}} and report... (although a Macbook Pro should be a very fast machine...?!)

Urg, jesux, sorry for the spam.

Scanning DMA buffer heaps...

Analyzing tx DMA buffers...
FOUND tx[289] (f798f568) in free list.  status: 0x00000000.
FOUND tx[290] (f798f5d0) in free list.  status: 0x00000000.
FOUND tx[291] (f798f638) in free list.  status: 0x00000000.
FOUND tx[292] (f798f6a0) in free list.  status: 0x00000000.
FOUND tx[293] (f798f708) in free list.  status: 0x00000000.
FOUND tx[294] (f798f770) in free list.  status: 0x00000000.
FOUND tx[295] (f798f7d8) in free list.  status: 0x00000000.
FOUND tx[296] (f798f840) in free list.  status: 0x00000000.
FOUND tx[297] (f798f8a8) in free list.  status: 0x00000000.
FOUND tx[298] (f798f910) in free list.  status: 0x00000000.
FOUND tx[299] (f798f978) in free list.  status: 0x00000000.
FOUND tx[  0] (f7988000) in free list.  status: 0x00000000.
FOUND tx[  1] (f7988068) in free list.  status: 0x00000000.
FOUND tx[  2] (f79880d0) in free list.  status: 0x00000000.
[... all status 0x00000000]
FOUND tx[286] (f798f430) in free list.  status: 0x00000000.
FOUND tx[287] (f798f498) in free list.  status: 0x00000000.
FOUND tx[288] (f798f500) in free list.  status: 0x00000000.
wifi0: ath_scanbufs_print_leaks: LOST tx[ 72] (f7989d40) -- taken at line _take_txbuf_locked:3163!!

Analyzing rx DMA buffers...
FOUND rx[ 29] (f738cbc8) in queue.  status: 0x00000000.
FOUND rx[ 30] (f738cc30) in queue.  status: 0x00000000.
FOUND rx[ 31] (f738cc98) in queue.  status: 0x00000000.
[...]
FOUND rx[ 98] (f738e7d0) in queue.  status: 0x00000000.
FOUND rx[ 99] (f738e838) in queue.  status: 0x00000000.
FOUND rx[  0] (f738c000) in queue.  status: 0x00000000.
FOUND rx[  1] (f738c068) in queue.  status: 0x00000000.
[...]
FOUND rx[ 27] (f738caf8) in queue.  status: 0x00000000.
FOUND rx[ 28] (f738cb60) in queue.  status: 0x00000000.

Analyzing beacon DMA buffers...
FOUND beacon[  0] (f7094200) in free list.  status: 0x00000000.
FOUND beacon[  1] (f7094268) in free list.  status: 0x00000000.
FOUND beacon[  2] (f70942d0) in free list.  status: 0x00000000.
FOUND beacon[  3] (f7094338) in free list.  status: 0x00000000.

04/14/08 09:36:44 changed by foodoc

wifi0: ath_scanbufs_print_leaks: LOST tx[ 72] (f7989d40) -- taken at line _take_txbuf_locked:3163!

looks not so good. however it isn't a RX FIFO overrun. (And not very useful either... maybe some of the developers should _inline _take_txbux_locked.)

04/14/08 18:24:27 changed by mentor

Would you try again but with a madwifi compiled with IEEE80211_DEBUG_REFCNT=1?

(follow-up: ↓ 178 ) 04/14/08 19:10:43 changed by foodoc

Hmm, this seems to be a problem only when IEEE80211_DEBUG_REFCNT is disabled...?! either the non-debug code is incomplete, or there's somewhere a tiny race.

Regards, foodoc

(follow-up: ↓ 177 ) 04/15/08 02:25:22 changed by mentor

With that enabled, ath_scanbufs_print_leaks provides better information.

(in reply to: ↑ 176 ) 04/18/08 07:42:46 changed by anonymous

I have this same problem, Gutsy w/ AR5212 and Madwifi... any ideas on a resolution?

(in reply to: ↑ 175 ) 04/19/08 21:43:33 changed by anonymous

Replying to foodoc:

Hmm, this seems to be a problem only when IEEE80211_DEBUG_REFCNT is disabled...?! either the non-debug code is incomplete, or there's somewhere a tiny race.

I've noticed that some revisions ago there were comments regarding buffer changes. I expected to see this bug get solved by these changes, but I noticed that the overruns came earlier and very frequently. After seeing the note to build the module with debug support I did it (so to try to help with debug info) and never got an overrun again. I've let the machine stay on for almost 3 days and used it every day like I did before and the connection is always working when I pick the laptop to use.

I'd suggest to the anonymous #176 to rebuild the module with IEEE80211_DEBUG_REFCNT=1 and check if the overruns occur, if they don't maybe the devs can track where's the difference between debug code and normal code that can be triggering this problem.

04/19/08 22:34:14 changed by anonymous

:-P Maybe I talked too soon... at least I can reload the module after a resume/suspend cycle. :)

Is this useful in any way?

[238195.279622] wifi0: ath_rxorn_tasklet: Receive FIFO overrun; resetting.
[238195.486011] Scanning DMA buffer heaps...
[238195.486025] 
[238195.486027] Analyzing tx DMA buffers...
[238195.486033] FOUND tx[ 83] (f77d21b8) in free list.  status: 0x00000000.
[238195.486038] FOUND tx[ 84] (f77d2220) in free list.  status: 0x00000000.
[238195.486044] FOUND tx[ 85] (f77d2288) in free list.  status: 0x00000000.
[238195.486048] FOUND tx[ 86] (f77d22f0) in free list.  status: 0x00000000.
[238195.486053] FOUND tx[ 87] (f77d2358) in free list.  status: 0x00000000.
[238195.486057] FOUND tx[ 88] (f77d23c0) in free list.  status: 0x00000000.
[238195.486061] FOUND tx[ 89] (f77d2428) in free list.  status: 0x00000000.
[238195.486066] FOUND tx[ 90] (f77d2490) in free list.  status: 0x00000000.
[238195.486071] FOUND tx[ 91] (f77d24f8) in free list.  status: 0x00000000.
[238195.486076] FOUND tx[ 92] (f77d2560) in free list.  status: 0x00000000.
[238195.486081] FOUND tx[ 93] (f77d25c8) in free list.  status: 0x00000000.
[238195.486086] FOUND tx[ 94] (f77d2630) in free list.  status: 0x00000000.
[238195.486091] FOUND tx[ 95] (f77d2698) in free list.  status: 0x00000000.
[238195.486096] FOUND tx[ 96] (f77d2700) in free list.  status: 0x00000000.
[238195.486101] FOUND tx[ 97] (f77d2768) in free list.  status: 0x00000000.
[238195.486106] FOUND tx[ 98] (f77d27d0) in free list.  status: 0x00000000.
[238195.486111] FOUND tx[ 99] (f77d2838) in free list.  status: 0x00000000.
[238195.486117] FOUND tx[100] (f77d28a0) in free list.  status: 0x00000000.
[238195.486122] FOUND tx[101] (f77d2908) in free list.  status: 0x00000000.
[238195.486126] FOUND tx[102] (f77d2970) in free list.  status: 0x00000000.
[238195.486131] FOUND tx[103] (f77d29d8) in free list.  status: 0x00000000.
[238195.486136] FOUND tx[104] (f77d2a40) in free list.  status: 0x00000000.
[238195.486141] FOUND tx[105] (f77d2aa8) in free list.  status: 0x00000000.
[238195.486146] FOUND tx[106] (f77d2b10) in free list.  status: 0x00000000.
[238195.486152] FOUND tx[107] (f77d2b78) in free list.  status: 0x00000000.
[238195.486157] FOUND tx[108] (f77d2be0) in free list.  status: 0x00000000.
[238195.486162] FOUND tx[109] (f77d2c48) in free list.  status: 0x00000000.
[238195.486167] FOUND tx[110] (f77d2cb0) in free list.  status: 0x00000000.
[238195.486172] FOUND tx[111] (f77d2d18) in free list.  status: 0x00000000.
[238195.486177] FOUND tx[112] (f77d2d80) in free list.  status: 0x00000000.
[238195.486182] FOUND tx[113] (f77d2de8) in free list.  status: 0x00000000.
[238195.486187] FOUND tx[114] (f77d2e50) in free list.  status: 0x00000000.
[238195.486192] FOUND tx[115] (f77d2eb8) in free list.  status: 0x00000000.
[238195.486197] FOUND tx[116] (f77d2f20) in free list.  status: 0x00000000.
[238195.486202] FOUND tx[117] (f77d2f88) in free list.  status: 0x00000000.
[238195.486207] FOUND tx[118] (f77d2ff0) in free list.  status: 0x00000000.
[238195.486212] FOUND tx[119] (f77d3058) in free list.  status: 0x00000000.
[238195.486217] FOUND tx[120] (f77d30c0) in free list.  status: 0x00000000.
[238195.486222] FOUND tx[121] (f77d3128) in free list.  status: 0x00000000.
[238195.486227] FOUND tx[122] (f77d3190) in free list.  status: 0x00000000.
[238195.486232] FOUND tx[123] (f77d31f8) in free list.  status: 0x00000000.
[238195.486237] FOUND tx[124] (f77d3260) in free list.  status: 0x00000000.
[238195.486242] FOUND tx[125] (f77d32c8) in free list.  status: 0x00000000.
[238195.486247] FOUND tx[126] (f77d3330) in free list.  status: 0x00000000.
[238195.486252] FOUND tx[127] (f77d3398) in free list.  status: 0x00000000.
[238195.486257] FOUND tx[128] (f77d3400) in free list.  status: 0x00000000.
[238195.486262] FOUND tx[129] (f77d3468) in free list.  status: 0x00000000.
[238195.486267] FOUND tx[130] (f77d34d0) in free list.  status: 0x00000000.
[238195.486272] FOUND tx[131] (f77d3538) in free list.  status: 0x00000000.
[238195.486277] FOUND tx[132] (f77d35a0) in free list.  status: 0x00000000.
[238195.486282] FOUND tx[133] (f77d3608) in free list.  status: 0x00000000.
[238195.486287] FOUND tx[134] (f77d3670) in free list.  status: 0x00000000.
[238195.486292] FOUND tx[135] (f77d36d8) in free list.  status: 0x00000000.
[238195.486297] FOUND tx[136] (f77d3740) in free list.  status: 0x00000000.
[238195.486302] FOUND tx[137] (f77d37a8) in free list.  status: 0x00000000.
[238195.486307] FOUND tx[138] (f77d3810) in free list.  status: 0x00000000.
[238195.486312] FOUND tx[139] (f77d3878) in free list.  status: 0x00000000.
[238195.486317] FOUND tx[140] (f77d38e0) in free list.  status: 0x00000000.
[238195.486322] FOUND tx[141] (f77d3948) in free list.  status: 0x00000000.
[238195.486327] FOUND tx[142] (f77d39b0) in free list.  status: 0x00000000.
[238195.486332] FOUND tx[143] (f77d3a18) in free list.  status: 0x00000000.
[238195.486337] FOUND tx[144] (f77d3a80) in free list.  status: 0x00000000.
[238195.486342] FOUND tx[145] (f77d3ae8) in free list.  status: 0x00000000.
[238195.486347] FOUND tx[146] (f77d3b50) in free list.  status: 0x00000000.
[238195.486352] FOUND tx[147] (f77d3bb8) in free list.  status: 0x00000000.
[238195.486357] FOUND tx[148] (f77d3c20) in free list.  status: 0x00000000.
[238195.486362] FOUND tx[149] (f77d3c88) in free list.  status: 0x00000000.
[238195.486367] FOUND tx[150] (f77d3cf0) in free list.  status: 0x00000000.
[238195.486372] FOUND tx[151] (f77d3d58) in free list.  status: 0x00000000.
[238195.486377] FOUND tx[152] (f77d3dc0) in free list.  status: 0x00000000.
[238195.486382] FOUND tx[153] (f77d3e28) in free list.  status: 0x00000000.
[238195.486387] FOUND tx[154] (f77d3e90) in free list.  status: 0x00000000.
[238195.486392] FOUND tx[155] (f77d3ef8) in free list.  status: 0x00000000.
[238195.486397] FOUND tx[156] (f77d3f60) in free list.  status: 0x00000000.
[238195.486402] FOUND tx[157] (f77d3fc8) in free list.  status: 0x00000000.
[238195.486407] FOUND tx[158] (f77d4030) in free list.  status: 0x00000000.
[238195.486412] FOUND tx[159] (f77d4098) in free list.  status: 0x00000000.
[238195.486417] FOUND tx[160] (f77d4100) in free list.  status: 0x00000000.
[238195.486423] FOUND tx[161] (f77d4168) in free list.  status: 0x00000000.
[238195.486428] FOUND tx[162] (f77d41d0) in free list.  status: 0x00000000.
[238195.486433] FOUND tx[163] (f77d4238) in free list.  status: 0x00000000.
[238195.486438] FOUND tx[164] (f77d42a0) in free list.  status: 0x00000000.
[238195.486443] FOUND tx[165] (f77d4308) in free list.  status: 0x00000000.
[238195.486448] FOUND tx[166] (f77d4370) in free list.  status: 0x00000000.
[238195.486453] FOUND tx[167] (f77d43d8) in free list.  status: 0x00000000.
[238195.486458] FOUND tx[168] (f77d4440) in free list.  status: 0x00000000.
[238195.486463] FOUND tx[169] (f77d44a8) in free list.  status: 0x00000000.
[238195.486468] FOUND tx[170] (f77d4510) in free list.  status: 0x00000000.
[238195.486473] FOUND tx[171] (f77d4578) in free list.  status: 0x00000000.
[238195.486478] FOUND tx[172] (f77d45e0) in free list.  status: 0x00000000.
[238195.486483] FOUND tx[173] (f77d4648) in free list.  status: 0x00000000.
[238195.486488] FOUND tx[174] (f77d46b0) in free list.  status: 0x00000000.
[238195.486493] FOUND tx[175] (f77d4718) in free list.  status: 0x00000000.
[238195.486498] FOUND tx[176] (f77d4780) in free list.  status: 0x00000000.
[238195.486503] FOUND tx[177] (f77d47e8) in free list.  status: 0x00000000.
[238195.486508] FOUND tx[178] (f77d4850) in free list.  status: 0x00000000.
[238195.486513] FOUND tx[179] (f77d48b8) in free list.  status: 0x00000000.
[238195.486518] FOUND tx[180] (f77d4920) in free list.  status: 0x00000000.
[238195.486523] FOUND tx[181] (f77d4988) in free list.  status: 0x00000000.
[238195.486528] FOUND tx[182] (f77d49f0) in free list.  status: 0x00000000.
[238195.486533] FOUND tx[183] (f77d4a58) in free list.  status: 0x00000000.
[238195.486538] FOUND tx[184] (f77d4ac0) in free list.  status: 0x00000000.
[238195.486543] FOUND tx[185] (f77d4b28) in free list.  status: 0x00000000.
[238195.486548] FOUND tx[186] (f77d4b90) in free list.  status: 0x00000000.
[238195.486553] FOUND tx[187] (f77d4bf8) in free list.  status: 0x00000000.
[238195.486558] FOUND tx[188] (f77d4c60) in free list.  status: 0x00000000.
[238195.486563] FOUND tx[189] (f77d4cc8) in free list.  status: 0x00000000.
[238195.486568] FOUND tx[190] (f77d4d30) in free list.  status: 0x00000000.
[238195.486573] FOUND tx[191] (f77d4d98) in free list.  status: 0x00000000.
[238195.486578] FOUND tx[192] (f77d4e00) in free list.  status: 0x00000000.
[238195.486583] FOUND tx[193] (f77d4e68) in free list.  status: 0x00000000.
[238195.486588] FOUND tx[194] (f77d4ed0) in free list.  status: 0x00000000.
[238195.486593] FOUND tx[195] (f77d4f38) in free list.  status: 0x00000000.
[238195.486598] FOUND tx[196] (f77d4fa0) in free list.  status: 0x00000000.
[238195.486603] FOUND tx[197] (f77d5008) in free list.  status: 0x00000000.
[238195.486608] FOUND tx[198] (f77d5070) in free list.  status: 0x00000000.
[238195.486613] FOUND tx[199] (f77d50d8) in free list.  status: 0x00000000.
[238195.486618] FOUND tx[200] (f77d5140) in free list.  status: 0x00000000.
[238195.486623] FOUND tx[201] (f77d51a8) in free list.  status: 0x00000000.
[238195.486628] FOUND tx[202] (f77d5210) in free list.  status: 0x00000000.
[238195.486633] FOUND tx[203] (f77d5278) in free list.  status: 0x00000000.
[238195.486638] FOUND tx[204] (f77d52e0) in free list.  status: 0x00000000.
[238195.486643] FOUND tx[205] (f77d5348) in free list.  status: 0x00000000.
[238195.486648] FOUND tx[206] (f77d53b0) in free list.  status: 0x00000000.
[238195.486653] FOUND tx[207] (f77d5418) in free list.  status: 0x00000000.
[238195.486658] FOUND tx[208] (f77d5480) in free list.  status: 0x00000000.
[238195.486663] FOUND tx[209] (f77d54e8) in free list.  status: 0x00000000.
[238195.486668] FOUND tx[210] (f77d5550) in free list.  status: 0x00000000.
[238195.486673] FOUND tx[211] (f77d55b8) in free list.  status: 0x00000000.
[238195.486678] FOUND tx[212] (f77d5620) in free list.  status: 0x00000000.
[238195.486684] FOUND tx[213] (f77d5688) in free list.  status: 0x00000000.
[238195.486689] FOUND tx[214] (f77d56f0) in free list.  status: 0x00000000.
[238195.486694] FOUND tx[215] (f77d5758) in free list.  status: 0x00000000.
[238195.486699] FOUND tx[216] (f77d57c0) in free list.  status: 0x00000000.
[238195.486704] FOUND tx[217] (f77d5828) in free list.  status: 0x00000000.
[238195.486709] FOUND tx[218] (f77d5890) in free list.  status: 0x00000000.
[238195.486714] FOUND tx[219] (f77d58f8) in free list.  status: 0x00000000.
[238195.486719] FOUND tx[220] (f77d5960) in free list.  status: 0x00000000.
[238195.486724] FOUND tx[221] (f77d59c8) in free list.  status: 0x00000000.
[238195.486729] FOUND tx[222] (f77d5a30) in free list.  status: 0x00000000.
[238195.486734] FOUND tx[223] (f77d5a98) in free list.  status: 0x00000000.
[238195.486739] FOUND tx[224] (f77d5b00) in free list.  status: 0x00000000.
[238195.486744] FOUND tx[225] (f77d5b68) in free list.  status: 0x00000000.
[238195.486749] FOUND tx[226] (f77d5bd0) in free list.  status: 0x00000000.
[238195.486754] FOUND tx[227] (f77d5c38) in free list.  status: 0x00000000.
[238195.486759] FOUND tx[228] (f77d5ca0) in free list.  status: 0x00000000.
[238195.486764] FOUND tx[229] (f77d5d08) in free list.  status: 0x00000000.
[238195.486769] FOUND tx[230] (f77d5d70) in free list.  status: 0x00000000.
[238195.486774] FOUND tx[231] (f77d5dd8) in free list.  status: 0x00000000.
[238195.486779] FOUND tx[232] (f77d5e40) in free list.  status: 0x00000000.
[238195.486784] FOUND tx[233] (f77d5ea8) in free list.  status: 0x00000000.
[238195.486789] FOUND tx[234] (f77d5f10) in free list.  status: 0x00000000.
[238195.486794] FOUND tx[235] (f77d5f78) in free list.  status: 0x00000000.
[238195.486799] FOUND tx[236] (f77d5fe0) in free list.  status: 0x00000000.
[238195.486804] FOUND tx[237] (f77d6048) in free list.  status: 0x00000000.
[238195.486809] FOUND tx[238] (f77d60b0) in free list.  status: 0x00000000.
[238195.486814] FOUND tx[239] (f77d6118) in free list.  status: 0x00000000.
[238195.486819] FOUND tx[240] (f77d6180) in free list.  status: 0x00000000.
[238195.486825] FOUND tx[241] (f77d61e8) in free list.  status: 0x00000000.
[238195.486829] FOUND tx[242] (f77d6250) in free list.  status: 0x00000000.
[238195.486834] FOUND tx[243] (f77d62b8) in free list.  status: 0x00000000.
[238195.486839] FOUND tx[244] (f77d6320) in free list.  status: 0x00000000.
[238195.486844] FOUND tx[245] (f77d6388) in free list.  status: 0x00000000.
[238195.486849] FOUND tx[246] (f77d63f0) in free list.  status: 0x00000000.
[238195.486854] FOUND tx[247] (f77d6458) in free list.  status: 0x00000000.
[238195.486859] FOUND tx[248] (f77d64c0) in free list.  status: 0x00000000.
[238195.486864] FOUND tx[249] (f77d6528) in free list.  status: 0x00000000.
[238195.486869] FOUND tx[250] (f77d6590) in free list.  status: 0x00000000.
[238195.486875] FOUND tx[251] (f77d65f8) in free list.  status: 0x00000000.
[238195.486879] FOUND tx[252] (f77d6660) in free list.  status: 0x00000000.
[238195.486884] FOUND tx[253] (f77d66c8) in free list.  status: 0x00000000.
[238195.486889] FOUND tx[254] (f77d6730) in free list.  status: 0x00000000.
[238195.486894] FOUND tx[255] (f77d6798) in free list.  status: 0x00000000.
[238195.486899] FOUND tx[256] (f77d6800) in free list.  status: 0x00000000.
[238195.486904] FOUND tx[257] (f77d6868) in free list.  status: 0x00000000.
[238195.486909] FOUND tx[258] (f77d68d0) in free list.  status: 0x00000000.
[238195.486914] FOUND tx[259] (f77d6938) in free list.  status: 0x00000000.
[238195.486920] FOUND tx[260] (f77d69a0) in free list.  status: 0x00000000.
[238195.486925] FOUND tx[261] (f77d6a08) in free list.  status: 0x00000000.
[238195.486930] FOUND tx[262] (f77d6a70) in free list.  status: 0x00000000.
[238195.486935] FOUND tx[263] (f77d6ad8) in free list.  status: 0x00000000.
[238195.486940] FOUND tx[264] (f77d6b40) in free list.  status: 0x00000000.
[238195.486945] FOUND tx[265] (f77d6ba8) in free list.  status: 0x00000000.
[238195.486950] FOUND tx[266] (f77d6c10) in free list.  status: 0x00000000.
[238195.486955] FOUND tx[267] (f77d6c78) in free list.  status: 0x00000000.
[238195.486960] FOUND tx[268] (f77d6ce0) in free list.  status: 0x00000000.
[238195.486965] FOUND tx[269] (f77d6d48) in free list.  status: 0x00000000.
[238195.486970] FOUND tx[270] (f77d6db0) in free list.  status: 0x00000000.
[238195.486975] FOUND tx[271] (f77d6e18) in free list.  status: 0x00000000.
[238195.486980] FOUND tx[272] (f77d6e80) in free list.  status: 0x00000000.
[238195.486985] FOUND tx[273] (f77d6ee8) in free list.  status: 0x00000000.
[238195.486990] FOUND tx[274] (f77d6f50) in free list.  status: 0x00000000.
[238195.486996] FOUND tx[275] (f77d6fb8) in free list.  status: 0x00000000.
[238195.487001] FOUND tx[276] (f77d7020) in free list.  status: 0x00000000.
[238195.487006] FOUND tx[277] (f77d7088) in free list.  status: 0x00000000.
[238195.487011] FOUND tx[278] (f77d70f0) in free list.  status: 0x00000000.
[238195.487015] FOUND tx[279] (f77d7158) in free list.  status: 0x00000000.
[238195.487021] FOUND tx[280] (f77d71c0) in free list.  status: 0x00000000.
[238195.487026] FOUND tx[281] (f77d7228) in free list.  status: 0x00000000.
[238195.487030] FOUND tx[282] (f77d7290) in free list.  status: 0x00000000.
[238195.487036] FOUND tx[283] (f77d72f8) in free list.  status: 0x00000000.
[238195.487041] FOUND tx[284] (f77d7360) in free list.  status: 0x00000000.
[238195.487046] FOUND tx[285] (f77d73c8) in free list.  status: 0x00000000.
[238195.487051] FOUND tx[286] (f77d7430) in free list.  status: 0x00000000.
[238195.487056] FOUND tx[287] (f77d7498) in free list.  status: 0x00000000.
[238195.487061] FOUND tx[288] (f77d7500) in free list.  status: 0x00000000.
[238195.487066] FOUND tx[289] (f77d7568) in free list.  status: 0x00000000.
[238195.487070] FOUND tx[290] (f77d75d0) in free list.  status: 0x00000000.
[238195.487076] FOUND tx[291] (f77d7638) in free list.  status: 0x00000000.
[238195.487081] FOUND tx[292] (f77d76a0) in free list.  status: 0x00000000.
[238195.487086] FOUND tx[293] (f77d7708) in free list.  status: 0x00000000.
[238195.487091] FOUND tx[294] (f77d7770) in free list.  status: 0x00000000.
[238195.487096] FOUND tx[295] (f77d77d8) in free list.  status: 0x00000000.
[238195.487101] FOUND tx[296] (f77d7840) in free list.  status: 0x00000000.
[238195.487106] FOUND tx[297] (f77d78a8) in free list.  status: 0x00000000.
[238195.487111] FOUND tx[298] (f77d7910) in free list.  status: 0x00000000.
[238195.487116] FOUND tx[299] (f77d7978) in free list.  status: 0x00000000.
[238195.487121] FOUND tx[  0] (f77d0000) in free list.  status: 0x00000000.
[238195.487126] FOUND tx[  1] (f77d0068) in free list.  status: 0x00000000.
[238195.487131] FOUND tx[  2] (f77d00d0) in free list.  status: 0x00000000.
[238195.487136] FOUND tx[  3] (f77d0138) in free list.  status: 0x00000000.
[238195.487141] FOUND tx[  4] (f77d01a0) in free list.  status: 0x00000000.
[238195.487146] FOUND tx[  5] (f77d0208) in free list.  status: 0x00000000.
[238195.487151] FOUND tx[  6] (f77d0270) in free list.  status: 0x00000000.
[238195.487156] FOUND tx[  7] (f77d02d8) in free list.  status: 0x00000000.
[238195.487161] FOUND tx[  8] (f77d0340) in free list.  status: 0x00000000.
[238195.487166] FOUND tx[  9] (f77d03a8) in free list.  status: 0x00000000.
[238195.487171] FOUND tx[ 10] (f77d0410) in free list.  status: 0x00000000.
[238195.487176] FOUND tx[ 11] (f77d0478) in free list.  status: 0x00000000.
[238195.487181] FOUND tx[ 12] (f77d04e0) in free list.  status: 0x00000000.
[238195.487186] FOUND tx[ 13] (f77d0548) in free list.  status: 0x00000000.
[238195.487191] FOUND tx[ 14] (f77d05b0) in free list.  status: 0x00000000.
[238195.487196] FOUND tx[ 15] (f77d0618) in free list.  status: 0x00000000.
[238195.487201] FOUND tx[ 16] (f77d0680) in free list.  status: 0x00000000.
[238195.487206] FOUND tx[ 17] (f77d06e8) in free list.  status: 0x00000000.
[238195.487211] FOUND tx[ 18] (f77d0750) in free list.  status: 0x00000000.
[238195.487216] FOUND tx[ 19] (f77d07b8) in free list.  status: 0x00000000.
[238195.487221] FOUND tx[ 20] (f77d0820) in free list.  status: 0x00000000.
[238195.487227] FOUND tx[ 21] (f77d0888) in free list.  status: 0x00000000.
[238195.487232] FOUND tx[ 22] (f77d08f0) in free list.  status: 0x00000000.
[238195.487237] FOUND tx[ 23] (f77d0958) in free list.  status: 0x00000000.
[238195.487242] FOUND tx[ 24] (f77d09c0) in free list.  status: 0x00000000.
[238195.487247] FOUND tx[ 25] (f77d0a28) in free list.  status: 0x00000000.
[238195.487252] FOUND tx[ 26] (f77d0a90) in free list.  status: 0x00000000.
[238195.487257] FOUND tx[ 27] (f77d0af8) in free list.  status: 0x00000000.
[238195.487262] FOUND tx[ 28] (f77d0b60) in free list.  status: 0x00000000.
[238195.487267] FOUND tx[ 29] (f77d0bc8) in free list.  status: 0x00000000.
[238195.487272] FOUND tx[ 30] (f77d0c30) in free list.  status: 0x00000000.
[238195.487277] FOUND tx[ 31] (f77d0c98) in free list.  status: 0x00000000.
[238195.487282] FOUND tx[ 32] (f77d0d00) in free list.  status: 0x00000000.
[238195.487287] FOUND tx[ 33] (f77d0d68) in free list.  status: 0x00000000.
[238195.487292] FOUND tx[ 34] (f77d0dd0) in free list.  status: 0x00000000.
[238195.487297] FOUND tx[ 35] (f77d0e38) in free list.  status: 0x00000000.
[238195.487302] FOUND tx[ 36] (f77d0ea0) in free list.  status: 0x00000000.
[238195.487307] FOUND tx[ 37] (f77d0f08) in free list.  status: 0x00000000.
[238195.487312] FOUND tx[ 38] (f77d0f70) in free list.  status: 0x00000000.
[238195.487317] FOUND tx[ 39] (f77d0fd8) in free list.  status: 0x00000000.
[238195.487322] FOUND tx[ 40] (f77d1040) in free list.  status: 0x00000000.
[238195.487327] FOUND tx[ 41] (f77d10a8) in free list.  status: 0x00000000.
[238195.487332] FOUND tx[ 42] (f77d1110) in free list.  status: 0x00000000.
[238195.487337] FOUND tx[ 43] (f77d1178) in free list.  status: 0x00000000.
[238195.487342] FOUND tx[ 44] (f77d11e0) in free list.  status: 0x00000000.
[238195.487347] FOUND tx[ 45] (f77d1248) in free list.  status: 0x00000000.
[238195.487352] FOUND tx[ 46] (f77d12b0) in free list.  status: 0x00000000.
[238195.487357] FOUND tx[ 47] (f77d1318) in free list.  status: 0x00000000.
[238195.487362] FOUND tx[ 48] (f77d1380) in free list.  status: 0x00000000.
[238195.487367] FOUND tx[ 49] (f77d13e8) in free list.  status: 0x00000000.
[238195.487372] FOUND tx[ 50] (f77d1450) in free list.  status: 0x00000000.
[238195.487377] FOUND tx[ 51] (f77d14b8) in free list.  status: 0x00000000.
[238195.487382] FOUND tx[ 52] (f77d1520) in free list.  status: 0x00000000.
[238195.487387] FOUND tx[ 53] (f77d1588) in free list.  status: 0x00000000.
[238195.487392] FOUND tx[ 54] (f77d15f0) in free list.  status: 0x00000000.
[238195.487397] FOUND tx[ 55] (f77d1658) in free list.  status: 0x00000000.
[238195.487402] FOUND tx[ 56] (f77d16c0) in free list.  status: 0x00000000.
[238195.487407] FOUND tx[ 57] (f77d1728) in free list.  status: 0x00000000.
[238195.487412] FOUND tx[ 58] (f77d1790) in free list.  status: 0x00000000.
[238195.487417] FOUND tx[ 59] (f77d17f8) in free list.  status: 0x00000000.
[238195.487422] FOUND tx[ 60] (f77d1860) in free list.  status: 0x00000000.
[238195.487427] FOUND tx[ 61] (f77d18c8) in free list.  status: 0x00000000.
[238195.487432] FOUND tx[ 62] (f77d1930) in free list.  status: 0x00000000.
[238195.487437] FOUND tx[ 63] (f77d1998) in free list.  status: 0x00000000.
[238195.487442] FOUND tx[ 64] (f77d1a00) in free list.  status: 0x00000000.
[238195.487447] FOUND tx[ 65] (f77d1a68) in free list.  status: 0x00000000.
[238195.487452] FOUND tx[ 66] (f77d1ad0) in free list.  status: 0x00000000.
[238195.487458] FOUND tx[ 67] (f77d1b38) in free list.  status: 0x00000000.
[238195.487463] FOUND tx[ 68] (f77d1ba0) in free list.  status: 0x00000000.
[238195.487468] FOUND tx[ 69] (f77d1c08) in free list.  status: 0x00000000.
[238195.487473] FOUND tx[ 70] (f77d1c70) in free list.  status: 0x00000000.
[238195.487478] FOUND tx[ 71] (f77d1cd8) in free list.  status: 0x00000000.
[238195.487483] FOUND tx[ 72] (f77d1d40) in free list.  status: 0x00000000.
[238195.487488] FOUND tx[ 73] (f77d1da8) in free list.  status: 0x00000000.
[238195.487493] FOUND tx[ 74] (f77d1e10) in free list.  status: 0x00000000.
[238195.487498] FOUND tx[ 75] (f77d1e78) in free list.  status: 0x00000000.
[238195.487503] FOUND tx[ 76] (f77d1ee0) in free list.  status: 0x00000000.
[238195.487508] FOUND tx[ 77] (f77d1f48) in free list.  status: 0x00000000.
[238195.487513] FOUND tx[ 78] (f77d1fb0) in free list.  status: 0x00000000.
[238195.487518] FOUND tx[ 79] (f77d2018) in free list.  status: 0x00000000.
[238195.487523] FOUND tx[ 80] (f77d2080) in free list.  status: 0x00000000.
[238195.487528] FOUND tx[ 81] (f77d20e8) in free list.  status: 0x00000000.
[238195.487533] FOUND tx[ 82] (f77d2150) in free list.  status: 0x00000000.
[238195.487554] 
[238195.487558] Analyzing rx DMA buffers...
[238195.487563] FOUND rx[ 28] (f7608b60) in queue.  status: 0x00000000.
[238195.487568] FOUND rx[ 29] (f7608bc8) in queue.  status: 0x00000000.
[238195.487573] FOUND rx[ 30] (f7608c30) in queue.  status: 0x00000000.
[238195.487578] FOUND rx[ 31] (f7608c98) in queue.  status: 0x00000000.
[238195.487583] FOUND rx[ 32] (f7608d00) in queue.  status: 0x00000000.
[238195.487588] FOUND rx[ 33] (f7608d68) in queue.  status: 0x00000000.
[238195.487593] FOUND rx[ 34] (f7608dd0) in queue.  status: 0x00000000.
[238195.487598] FOUND rx[ 35] (f7608e38) in queue.  status: 0x00000000.
[238195.487603] FOUND rx[ 36] (f7608ea0) in queue.  status: 0x00000000.
[238195.487608] FOUND rx[ 37] (f7608f08) in queue.  status: 0x00000000.
[238195.487613] FOUND rx[ 38] (f7608f70) in queue.  status: 0x00000000.
[238195.487618] FOUND rx[ 39] (f7608fd8) in queue.  status: 0x00000000.
[238195.487623] FOUND rx[ 40] (f7609040) in queue.  status: 0x00000000.
[238195.487628] FOUND rx[ 41] (f76090a8) in queue.  status: 0x00000000.
[238195.487633] FOUND rx[ 42] (f7609110) in queue.  status: 0x00000000.
[238195.487638] FOUND rx[ 43] (f7609178) in queue.  status: 0x00000000.
[238195.487643] FOUND rx[ 44] (f76091e0) in queue.  status: 0x00000000.
[238195.487648] FOUND rx[ 45] (f7609248) in queue.  status: 0x00000000.
[238195.487653] FOUND rx[ 46] (f76092b0) in queue.  status: 0x00000000.
[238195.487658] FOUND rx[ 47] (f7609318) in queue.  status: 0x00000000.
[238195.487663] FOUND rx[ 48] (f7609380) in queue.  status: 0x00000000.
[238195.487668] FOUND rx[ 49] (f76093e8) in queue.  status: 0x00000000.
[238195.487673] FOUND rx[ 50] (f7609450) in queue.  status: 0x00000000.
[238195.487678] FOUND rx[ 51] (f76094b8) in queue.  status: 0x00000000.
[238195.487683] FOUND rx[ 52] (f7609520) in queue.  status: 0x00000000.
[238195.487688] FOUND rx[ 53] (f7609588) in queue.  status: 0x00000000.
[238195.487693] FOUND rx[ 54] (f76095f0) in queue.  status: 0x00000000.
[238195.487698] FOUND rx[ 55] (f7609658) in queue.  status: 0x00000000.
[238195.487703] FOUND rx[ 56] (f76096c0) in queue.  status: 0x00000000.
[238195.487708] FOUND rx[ 57] (f7609728) in queue.  status: 0x00000000.
[238195.487713] FOUND rx[ 58] (f7609790) in queue.  status: 0x00000000.
[238195.487718] FOUND rx[ 59] (f76097f8) in queue.  status: 0x00000000.
[238195.487723] FOUND rx[ 60] (f7609860) in queue.  status: 0x00000000.
[238195.487728] FOUND rx[ 61] (f76098c8) in queue.  status: 0x00000000.
[238195.487733] FOUND rx[ 62] (f7609930) in queue.  status: 0x00000000.
[238195.487738] FOUND rx[ 63] (f7609998) in queue.  status: 0x00000000.
[238195.487743] FOUND rx[ 64] (f7609a00) in queue.  status: 0x00000000.
[238195.487748] FOUND rx[ 65] (f7609a68) in queue.  status: 0x00000000.
[238195.487753] FOUND rx[ 66] (f7609ad0) in queue.  status: 0x00000000.
[238195.487758] FOUND rx[ 67] (f7609b38) in queue.  status: 0x00000000.
[238195.487763] FOUND rx[ 68] (f7609ba0) in queue.  status: 0x00000000.
[238195.487768] FOUND rx[ 69] (f7609c08) in queue.  status: 0x00000000.
[238195.487773] FOUND rx[ 70] (f7609c70) in queue.  status: 0x00000000.
[238195.487778] FOUND rx[ 71] (f7609cd8) in queue.  status: 0x00000000.
[238195.487783] FOUND rx[ 72] (f7609d40) in queue.  status: 0x00000000.
[238195.487788] FOUND rx[ 73] (f7609da8) in queue.  status: 0x00000000.
[238195.487793] FOUND rx[ 74] (f7609e10) in queue.  status: 0x00000000.
[238195.487798] FOUND rx[ 75] (f7609e78) in queue.  status: 0x00000000.
[238195.487803] FOUND rx[ 76] (f7609ee0) in queue.  status: 0x00000000.
[238195.487808] FOUND rx[ 77] (f7609f48) in queue.  status: 0x00000000.
[238195.487813] FOUND rx[ 78] (f7609fb0) in queue.  status: 0x00000000.
[238195.487818] FOUND rx[ 79] (f760a018) in queue.  status: 0x00000000.
[238195.487823] FOUND rx[ 80] (f760a080) in queue.  status: 0x00000000.
[238195.487828] FOUND rx[ 81] (f760a0e8) in queue.  status: 0x00000000.
[238195.487833] FOUND rx[ 82] (f760a150) in queue.  status: 0x00000000.
[238195.487838] FOUND rx[ 83] (f760a1b8) in queue.  status: 0x00000000.
[238195.487843] FOUND rx[ 84] (f760a220) in queue.  status: 0x00000000.
[238195.487848] FOUND rx[ 85] (f760a288) in queue.  status: 0x00000000.
[238195.487853] FOUND rx[ 86] (f760a2f0) in queue.  status: 0x00000000.
[238195.487858] FOUND rx[ 87] (f760a358) in queue.  status: 0x00000000.
[238195.487863] FOUND rx[ 88] (f760a3c0) in queue.  status: 0x00000000.
[238195.487868] FOUND rx[ 89] (f760a428) in queue.  status: 0x00000000.
[238195.487873] FOUND rx[ 90] (f760a490) in queue.  status: 0x00000000.
[238195.487878] FOUND rx[ 91] (f760a4f8) in queue.  status: 0x00000000.
[238195.487883] FOUND rx[ 92] (f760a560) in queue.  status: 0x00000000.
[238195.487888] FOUND rx[ 93] (f760a5c8) in queue.  status: 0x00000000.
[238195.487893] FOUND rx[ 94] (f760a630) in queue.  status: 0x00000000.
[238195.487898] FOUND rx[ 95] (f760a698) in queue.  status: 0x00000000.
[238195.487903] FOUND rx[ 96] (f760a700) in queue.  status: 0x00000000.
[238195.487908] FOUND rx[ 97] (f760a768) in queue.  status: 0x00000000.
[238195.487913] FOUND rx[ 98] (f760a7d0) in queue.  status: 0x00000000.
[238195.487918] FOUND rx[ 99] (f760a838) in queue.  status: 0x00000000.
[238195.487923] FOUND rx[  0] (f7608000) in queue.  status: 0x00000000.
[238195.487928] FOUND rx[  1] (f7608068) in queue.  status: 0x00000000.
[238195.487933] FOUND rx[  2] (f76080d0) in queue.  status: 0x00000000.
[238195.487938] FOUND rx[  3] (f7608138) in queue.  status: 0x00000000.
[238195.487943] FOUND rx[  4] (f76081a0) in queue.  status: 0x00000000.
[238195.487948] FOUND rx[  5] (f7608208) in queue.  status: 0x00000000.
[238195.487953] FOUND rx[  6] (f7608270) in queue.  status: 0x00000000.
[238195.487958] FOUND rx[  7] (f76082d8) in queue.  status: 0x00000000.
[238195.487962] FOUND rx[  8] (f7608340) in queue.  status: 0x00000000.
[238195.487967] FOUND rx[  9] (f76083a8) in queue.  status: 0x00000000.
[238195.487972] FOUND rx[ 10] (f7608410) in queue.  status: 0x00000000.
[238195.487977] FOUND rx[ 11] (f7608478) in queue.  status: 0x00000000.
[238195.487982] FOUND rx[ 12] (f76084e0) in queue.  status: 0x00000000.
[238195.487987] FOUND rx[ 13] (f7608548) in queue.  status: 0x00000000.
[238195.487992] FOUND rx[ 14] (f76085b0) in queue.  status: 0x00000000.
[238195.487997] FOUND rx[ 15] (f7608618) in queue.  status: 0x00000000.
[238195.488002] FOUND rx[ 16] (f7608680) in queue.  status: 0x00000000.
[238195.488007] FOUND rx[ 17] (f76086e8) in queue.  status: 0x00000000.
[238195.488012] FOUND rx[ 18] (f7608750) in queue.  status: 0x00000000.
[238195.488017] FOUND rx[ 19] (f76087b8) in queue.  status: 0x00000000.
[238195.488022] FOUND rx[ 20] (f7608820) in queue.  status: 0x00000000.
[238195.488027] FOUND rx[ 21] (f7608888) in queue.  status: 0x00000000.
[238195.488032] FOUND rx[ 22] (f76088f0) in queue.  status: 0x00000000.
[238195.488037] FOUND rx[ 23] (f7608958) in queue.  status: 0x00000000.
[238195.488042] FOUND rx[ 24] (f76089c0) in queue.  status: 0x00000000.
[238195.488047] FOUND rx[ 25] (f7608a28) in queue.  status: 0x00000000.
[238195.488052] FOUND rx[ 26] (f7608a90) in queue.  status: 0x00000000.
[238195.488057] FOUND rx[ 27] (f7608af8) in queue.  status: 0x00000000.
[238195.488062] 
[238195.488066] Analyzing beacon DMA buffers...
[238195.488071] FOUND beacon[  0] (dfaad400) in free list.  status: 0x00000000.
[238195.488076] FOUND beacon[  1] (dfaad468) in free list.  status: 0x00000000.
[238195.488081] FOUND beacon[  2] (dfaad4d0) in free list.  status: 0x00000000.
[238195.488086] FOUND beacon[  3] (dfaad538) in free list.  status: 0x00000000.

04/23/08 08:05:39 changed by anonymous

Unrelated to madwifi, but I am having similar issues with AR5008 in Vista on ThinkPad? T60p. From time to time wireless just stops working and I have to disable/enable the card. I am also getting blue screens with NMIs caused by parity errors and NDIS crashes while using wireless. Same laptop with Intel wireless card is rock solid. I am reporting it because the issue may be related to hardware more than software. My AP is Linksys WRT54GL running DD-WRT in a crowded wireless environment. I have just seen in #1562 that people have similar experience with MacOS.

04/27/08 00:01:58 changed by Jacksteruk309@gmail.com

I've got a Macbook 2,1 with this issue on Ubuntu 8.04

Seems like quite a nasty problem for many people, any chance of a fix in the near future?

04/27/08 23:11:38 changed by Jackster

Actually, could this bug be related to the bug on OS X which makes the wireless cut out every now and then? On OS X a similar thing happens but the connection kicks back in about 15 seconds later. Could it maybe be a hardware problem and not a driver problem?

04/28/08 17:42:52 changed by anonymous

03:00.0 Ethernet controller: Atheros Communications, Inc. AR5006EG 802.11 b/g Wireless PCI Express Adapter (rev 01) 168c:001c

Just happened after 12 hours of use or so, I'm using the patch to make 5006 based cards work, svn madwifi from a couple days ago.Kernel 2.6.24.4, I'm on gentoo.

I have a Thinkpad T61

05/03/08 16:10:21 changed by ari

Same problem with Ubuntu 8.04 amd64. After six or ten hours, my connection drops and networkmanager (or the system) is not notified.

[23630.551628] sd 8:0:0:0: [sdb] Attached SCSI removable disk [23630.551660] sd 8:0:0:0: Attached scsi generic sg2 type 0 [23917.102263] wifi0: rx FIFO overrun; resetting [24696.587976] wifi0: rx FIFO overrun; resetting [24697.909921] wifi0: rx FIFO overrun; resetting [25735.722751] wifi0: rx FIFO overrun; resetting [27944.270912] wifi0: rx FIFO overrun; resetting [29112.382660] wifi0: rx FIFO overrun; resetting [40154.111317] wifi0: rx FIFO overrun; resetting

The card is:

05:02.0 Ethernet controller: Atheros Communications Inc. AR5212/AR5213 Multiprotocol MAC/baseband processor (rev 01)

Used to work just great with previous ubuntus. Actually, I bought it just because it was supported by madwifi. It's sad to have this basic problem.

05/05/08 09:18:04 changed by anonymous

Running

iwpriv ath0 bgscan 0

.. and killing ALL networkmanager processes fixes this for me. I guess the networkmanager-crap turns on bgscan itself? Just a hint for those of you running ubuntu.

05/05/08 10:55:54 changed by anonymous

Hi all,

Just found this comment in the diff for 2.6.26rc1 (ath5k driver):

Set Rx/Tx DMA Configuration

Set maximum DMA size (512) except for PCI-E cards since it causes rx overruns and tx errors (tested on 5424 but since rx overruns also occur on 5416/5418 with madwifi we set 128 for all PCI-E cards to be safe).

In dumps this is 128 for allchips.

XXX: need to check 5210 for this

TODO: Check out tx triger level, it's always 64 on dumps but I guess we can tweak it and see how it goes ;-)

Any hints on where to try this in madwifi?

05/05/08 20:01:45 changed by rootkit85@yahoo.it

I'm using OpenWrt?'s madwifi since a week and it works flawlessy

cya ;)

05/08/08 00:19:20 changed by trantorvega@gmail.com

Confirmed on a Macbook that switching from SMP to UP, using CPU hotplugging, solves the problem, if you can call that a solution. Basically instead of disabling SMP before building the kernel it can be temporarily disabled doing: echo 0 > /sys/devices/system/cpu/cpu1/online In UP mode no problem for many hours and possibly for much longer still. Turning off a core is no small sacrifice though.

05/08/08 02:45:09 changed by mentor

Replying to anonymous:

Hi all, Just found this comment in the diff for 2.6.26rc1 (ath5k driver): Set Rx/Tx DMA Configuration

Looks like this is a hardware setting that is handled by the HAL, and that is reported as the 'fixed' values on all HAL driven hardware. So, I guess that isn't it, although you can run a dump to find out...

05/08/08 17:49:55 changed by charlie

So the HAL sets the values to 64(rx) and 128(tx). I'll toy with them for a while (now 128/128 as in ath5k).

(follow-up: ↓ 193 ) 05/09/08 00:41:35 changed by white_gecko

For me this error doesn't appear anymore. Since my last checkout (r3605) madwifi runs stable. Thankyou!

(in reply to: ↑ 192 ; follow-up: ↓ 196 ) 05/09/08 18:28:46 changed by dirk.heinrichs@online.de

Replying to white_gecko:

For me this error doesn't appear anymore. Since my last checkout (r3605) madwifi runs stable. Thankyou!

Not for me, I'm at r3620.

05/09/08 19:08:42 changed by mentor

Is there any difference between r3605 and r3620 in this regard?

(follow-up: ↓ 215 ) 05/09/08 22:04:24 changed by charlie

Until now I can say that my patch to change the DMA sizes(for r3620) has resulted in 0 NMIs.

--- /usr/portage/distfiles/svn-src/madwifi-ng/trunk/ath/if_ath_pci.c	2008-04-27 00:02:57.000000000 +0300
+++ if_ath_pci.c	2008-05-08 18:35:52.000000000 +0300
@@ -133,6 +133,7 @@
 	u32 val;
 	u16 vdevice;
 	int i;
+	int rxcfg, txcfg;
 
 	if (pci_enable_device(pdev))
 		return -EIO;
@@ -252,6 +253,29 @@
 		dev_info, dev->name, athname ? athname : "Atheros ???",
 		(unsigned long long)phymem, dev->irq);
 
+#define TXCFG 0x0030
+#define RXCFG 0x0034
+
+	if (vdevice == AR5418_DEVID) {
+		txcfg = _OS_REG_READ(sc->aps_sc.sc_ah, TXCFG);
+		rxcfg = _OS_REG_READ(sc->aps_sc.sc_ah, RXCFG);
+		printk (KERN_INFO "ath_pci: rxcfg: %08x (%d bytes DMA transfer), txcfg: %08x (%d bytes DMA transfer)\n",
+			rxcfg, 1 << ((rxcfg & 7) + 2),
+			txcfg, 1 << ((txcfg & 7) + 2));
+		if ((rxcfg & 7) != 5 )
+			OS_REG_WRITE(sc->aps_sc.sc_ah, RXCFG, (rxcfg & (~7)) | 5);
+		if ((txcfg & 7) != 5 )
+			OS_REG_WRITE(sc->aps_sc.sc_ah, TXCFG, (txcfg & (~7)) | 5);
+	}
+
+#undef RXCFG
+#undef TXCFG
+

Interestingly the settings in the beginning are either the opposite of what is described in ath5k, or I mixed something up.

(in reply to: ↑ 193 ; follow-up: ↓ 198 ) 05/10/08 01:54:52 changed by white_gecko

Replying to dirk.heinrichs@online.de:

Replying to white_gecko:

For me this error doesn't appear anymore. Since my last checkout (r3605) madwifi runs stable. Thankyou!

Not for me, I'm at r3620.

Maybe you sould try the r3605 to if there is a difference in this case. What hardware do you use? I have a MacBook Pro with AR5418. lspci says: 03:00.0 Network controller: Atheros Communications Inc. AR5418 802.11abgn Wireless PCI Express Adapter (rev 01)

05/10/08 04:38:00 changed by mentor

  • attachment ar5418_dmasize.diff added.

Patch to test the effect of stomping on the HW DMA size settings.

05/10/08 04:39:55 changed by mentor

I tidied up the patch from charlie. Please test to see if it has any effect.

(in reply to: ↑ 196 ; follow-up: ↓ 199 ) 05/10/08 09:13:51 changed by dirk.heinrichs@online.de

Replying to white_gecko:

Replying to dirk.heinrichs@online.de:

Replying to white_gecko:

For me this error doesn't appear anymore. Since my last checkout (r3605) madwifi runs stable. Thankyou!

Not for me, I'm at r3620.

Maybe you sould try the r3605 to if there is a difference in this case.

Yep, I'll try that version.

What hardware do you use? I have a MacBook Pro with AR5418. lspci says: 03:00.0 Network controller: Atheros Communications Inc. AR5418 802.11abgn Wireless PCI Express Adapter (rev 01)

I've got the same chip, but in a Lenovo T61.

(in reply to: ↑ 198 ) 05/10/08 15:05:19 changed by dirk.heinrichs@online.de

Replying to dirk.heinrichs@online.de:

Replying to white_gecko:

Replying to dirk.heinrichs@online.de:

Replying to white_gecko:

For me this error doesn't appear anymore. Since my last checkout (r3605) madwifi runs stable. Thankyou!

Not for me, I'm at r3620.

Maybe you sould try the r3605 to if there is a difference in this case.

Yep, I'll try that version.

Doesn't make a difference :-(

05/12/08 01:37:26 changed by optimix

I'm at r3620 and I don't have the FIFO overrun error any more. However, I recently got this error :

wifi0: FAILED verification of AR5K_PHY_SPUR_THRESH default value [found=0x2 (2) expected=0x2 (2)].
              (unknown):0x9924:0xd0058a05:11.1.... .....1.1 1...1.1. .....1.1:unknown

I don't know if this error is related, but reloading the module "fixed" the issue.

(follow-up: ↓ 202 ) 05/12/08 13:57:11 changed by optimix

This previous error happened to me again. However, it wasn't necessary to reload the module. Just reconnecting to the network did the trick.

wifi0: FAILED verification of AR5K_PHY_SIG_FIRPWR default value [found=0xba (-70) expected=0xba (-70)].
              (unknown):0x9858:0x7ee80d2e:.111111. 111.1... ....11.1 ..1.111.:unknown
wifi0: FAILED verification of AR5K_PHY_AGCCOARSE_HI default value [found=0x6e (-18) expected=0x6e (-18)].
              (unknown):0x985c:0x3137665e:..11...1 ..11.111 .11..11. .1.1111.:unknown
wifi0: FAILED verification of AR5K_PHY_WEAK_OFDM_HIGH_M1 default value [found=0x4d (77) expected=0x4d (77)].
              (unknown):0x9868:0x409a4190:.1...... 1..11.1. .1.....1 1..1....:unknown

(in reply to: ↑ 201 ; follow-up: ↓ 204 ) 05/12/08 15:44:11 changed by francois

Just to say i also get the same error (wifi0: ath_rxorn_tasklet: Receive FIFO overrun; resetting.) I'm using vanilla source (kernel.org) kernel 2.6.25.2. I'm using trunk 3626 and i get this error very frequently. the issue is a complete break up of the conection making it impossible to reconnect ("sometimes" next to sleep it comes back as mentioned above) my chip's lspci is:

0b:00.0 Network controller: Atheros Communications Inc. AR5418 802.11abgn Wireless PCI Express Adapter (rev 01)

My computer is a macbook pro santa rose rev C (not peryn)

is there any fix or something like this?

Thanks ;-)

francois

05/12/08 15:48:01 changed by francois

juste to complete what i said above, i'm using madwifi driver not the ath5k one

(in reply to: ↑ 202 ) 05/13/08 04:41:29 changed by mentor

Replying to francois:

is there any fix or something like this?

I would like to refer you to the comments on this ticket for information on the current state of the issue. To gain access to this information, simply read it as with any other text.

I would further like to draw your attention to comment 197

05/13/08 09:16:08 changed by francois

thanks, sorry for not read all this text, i was a little bit lazy ;-)

Just to tell you that i recompiled madwifi module to r3626 and applied mactel patches right before now i don't get any FIFO overrun (up to now) but i get another error (i'll paste the correct one when i'll got it).

thanks again for your answer

(follow-up: ↓ 207 ) 05/21/08 12:41:37 changed by anonymous

for the ones which really need a stable link try that patch against r3314. It's working for some weeks flawlessy.

(in reply to: ↑ 206 ) 05/21/08 23:14:56 changed by mentor

Replying to anonymous:

for the ones which really need a stable link try that patch against r3314. It's working for some weeks flawlessly.

Yes, the OpenWRT patches are helpful. However, this is not a forum.

(follow-up: ↓ 209 ) 05/21/08 23:24:06 changed by mentor

Right, a request for a status update: would anyone who is still experiencing this problem with latest trunk, after having rebooted (it makes me sad to have to ask this but it appears to make a difference sometimes), shout "Me too!?!"? Up to a maximum of about five people, say.

Thanks.

(in reply to: ↑ 208 ; follow-ups: ↓ 210 ↓ 211 ) 05/24/08 16:54:37 changed by uvcrew

Replying to mentor:

Right, a request for a status update: would anyone who is still experiencing this problem with latest trunk, after having rebooted (it makes me sad to have to ask this but it appears to make a difference sometimes), shout "Me too!?!"? Up to a maximum of about five people, say.

r3678 seems to be pretty good so far, no mysterious failures in usual usage. The network was lost after a suspend and I couldn't get it back without an rmmod/modprobe ath_pci but even thats a major improvement over the various other revisions and patches I've tried off this ticket in the last few months.

For the record: Linux aardvark 2.6.25.4 #2 SMP PREEMPT Sun May 18 16:12:07 BST 2008 x86_64 Intel(R) Core(TM)2 Duo CPU T7700 @ 2.40GHz GenuineIntel? GNU/Linux

0b:00.0 Network controller: Atheros Communications, Inc. AR5418 802.11a/b/g/n Wireless PCI Express Adapter (rev 01)

(in reply to: ↑ 209 ) 05/24/08 17:49:34 changed by uvcrew

Replying to uvcrew:

r3678 seems to be pretty good so far, no mysterious failures in usual usage. The network was lost after a suspend and I couldn't get it back without an rmmod/modprobe ath_pci but even thats a major improvement over the various other revisions and patches I've tried off this ticket in the last few months.

Sorry guys, disregard my last post, lost the network twice in the last hour and required a reboot to get it back each time. Must have just got lucky over the last couple of days...

The only odd thing is I get nothing in dmesg to indicate the network has failed. All the previous revisions I can remember left overrun messages.

(in reply to: ↑ 209 ) 05/29/08 10:23:43 changed by anonymous

Macbook pro experiences the usual loss of network after some unpredictable time with svn from may the 28th.

Ketil

05/29/08 14:21:45 changed by dremon

I have periodical connection freeze on MBP/AR5418, the signal is not lost actually but there is no data flow. After a short period it is recovered.

No messages are printed to the system log. Today got the following message:

wifi0: FAILED verification of AR5K_PHY_WEAK_CCK_THRESH default value [found=0x8 (8) expected=0x8 (8)]. [12254.650421] (unknown):0xa208:0xd03e4788:11.1.... ..11111. .1...111 1...1...:unknown

06/02/08 20:35:08 changed by Ketil

An interesting, though disturbing, thing is that it freeze thing actually crashes my wireless router from time to time. Still macbook pro with svn from 28th of May. on ubuntu. Wireless router is a dlink Di-624+

Best regards Ketil Thorgersen

06/04/08 13:44:42 changed by Ketil

I now tried the latest svn from the macbook check out, but it doesn't seem to make any difference. A nice way to make it freeze is to use bittorrent - at least here.

I really hope for a fix soon! Best Ketil (Macbook pro Atheros Communications Inc. AR5418 802.11abgn Wireless PCI Express Adapter (rev 01)

(in reply to: ↑ 195 ; follow-up: ↓ 217 ) 06/04/08 13:51:07 changed by charlie

Replying to charlie:

Until now I can say that my patch to change the DMA sizes(for r3620) has resulted in 0 NMIs.

So, long time since that post. With that mentioned patch on top of 3620, plus the following in my modprobe.conf:

install ath_pci /sbin/modprobe --ignore-install; /sbin/iwpriv ath0 bmiss 200; /sbin/iwpriv ath0 bmiss_ms 20480

I have yet to see another one of this rx FIFO overruns, hangs, or any problems. Used in on all 2.6.25 releases.

06/06/08 18:53:43 changed by mentor

  • status changed from new to closed.
  • resolution set to fixed.
  • milestone set to version 0.9.5.

Right, I'm going to claim that the original problem in this ticket is fixed. However, problems in the driver in general still remain. These should be dealt with separately.

Closing as fixed; mostly r3620.

Thanks.

(in reply to: ↑ 215 ) 06/08/08 22:41:10 changed by Ketil

Replying to charlie:

Replying to charlie:

Until now I can say that my patch to change the DMA sizes(for r3620) has resulted in 0 NMIs.

So, long time since that post. With that mentioned patch on top of 3620, plus the following in my modprobe.conf: install ath_pci /sbin/modprobe --ignore-install; /sbin/iwpriv ath0 bmiss 200; /sbin/iwpriv ath0 bmiss_ms 20480 I have yet to see another one of this rx FIFO overruns, hangs, or any problems. Used in on all 2.6.25 releases.

Good for you. I am not too good at this. Having read through this page numerous times i do still not know how to fix this. Could someone please post a short description of how to apply the patch and where to find the file "modprobe:conf" (not in my ubuntu hardy install) I know this is not a forum, but an step by step instruction would be incredibly well received!

Best regards KEtil

06/27/08 17:50:58 changed by anonymous

Having a similar problem as above using an AR5418 on Fedora 9 using the 2.6.25 kernel release. There is no log output or registration of a connection failure. iwconfig shows a stable connection. iwlist ath0 scanning seems to work. No traffic can be sent or received. Failure happens between 2 and 20 minutes with light to 0 traffic. Performance is horrible on the card. Less than 6 megabits.

06/27/08 17:51:34 changed by anonymous

from previous post using r3746

06/27/08 22:08:29 changed by Cristian

Here is my set-up: kubuntu 2.6.24-16-generic, DWA-547 PCI card, WPA, DI-524 AP

madwifi-r3745:

Speed is horrible, pinging to DI-524 AP shows 6 ms to 15 ms. Also, the signal is dropping quite often, from 35/96 to 12/96

No "FIFO overrun"

madwifi-ng-r3366+ar5007:

Speed is very good, close to ndiswrapper (1.5ms), steady signal 32/96

"FIFO overrun" appears after a while and the card is stalled (No AP shown, etc.)

So, I would use r3745 if speed issue sorted out. Or the other way around, I would use madwifi-ng-r3366+ar5007 if the "FIFO overrun" is fixed.

To make things worse, ndiswrapper with WPA hangs after a while, no AP show (same as "FIFO overrun" ?)

06/27/08 22:15:12 changed by Cristian

And the question: what's the plan to have both "normal speed" and "no FIFO overrun" ? Can madwifi-ng-r3366+ar5007 just be patched to sort out the overrun problem but keep the speed as such ? What is actually wrong with the speed in the recent releases ? There are so many people complaining about it!

07/03/08 16:11:29 changed by Cristian

Any progress on this issue - both stable AND fast madwifi driver for AR5416?

07/09/08 19:52:48 changed by Cristian

My advice - after several days of tweaking madwifi drivers - forget about wireless and go wirefull! For example, Devolo Powerline does the job pretty well. I just hope I'll be able to sell the DWA-547, perhaps to some Windows users :) Cheers.

07/09/08 20:18:08 changed by anonymous

@Christian..wise choice, but the powerline has it own problems... e.g., it puts noise on the current lines(obvious) and interferes with a wide range of radio frequencies (even the ones from the police/ambulance)... and the "DES" protection they offer from stopping your "neighbor" is a joke! So as usual, there isn't any "cheap" replacement for ethernet!

(BTW: If you want to get rid of the cards, you should donate them to developers of ath5k/madwifi! Maybe in a distant future this ***** will work. )